function RDSDK(callback,callbackObj){
    var obj = new Object();
    obj.getParam= function(paramName) {
        var paramValue = "", isFound = !1;
        if (window.location.search.indexOf("?") == 0 &&window.location.search.indexOf("=") > 1) {
            var arrSource = unescape(window.location.search).substring(1, window.location.search.length).split("&"), i = 0;
            while (i < arrSource.length && !isFound) arrSource[i].indexOf("=") > 0 && arrSource[i].split("=")[0].toLowerCase() == paramName.toLowerCase() && (paramValue = arrSource[i].split("=")[1], isFound = !0), i++;
        }
        return paramValue == "" && (paramValue = null),paramValue;
    }

    obj.isDebug = function(){
        var param = obj.getParam("debug");
        return param === "true"?true:false;
    }

    

    /**
     * 初始化
     * @param channel_id 渠道ID
     */
    obj.init= function(channel_id){
        var channel_id = channel_id || 2001;
        obj.channel_id = channel_id;
        window.baseUrl = obj.baseUrl;
        MiniSite.JsLoader.load(obj.baseUrl+"sdk/channel/C"+obj.channel_id+".js?v=" + (new Date()).valueOf(),function(){
            obj.channelInst = new window['C'+obj.channel_id](obj);
            console.log("init with "+obj.channelInst.name);
            obj.channelInst.init();
            obj.onEvent = obj.channelInst.onEvent;
        },obj);
    }

    /**
     * 准备完成后触发
     */
    obj.ready= function(callback,callbackObj){
        obj.readyCallback = callback;
        obj.readyCallbackObj = callbackObj;
    }

    /**
     * 游戏内部条例
     */
    obj.regulations= function(){
        MiniSite.loadBox();
    } 

    /**
     * 游戏隐私条例
     */
    obj.hiddenagre= function(){
        MiniSite.loadHideBox();
    }     

    /**
     * 获取用户信息
     * @param {Object} config 相关设置.
     * @param {Function} cb   获取成功后的回调
     */
    obj.getUserInfo= function(config,cb){
        obj.userInfoCallBack = cb;
        // 获取APP信息
        console.info("正在验证APP信息...");

        var url= obj.baseUrl + "/index.php/user/api/APPIDInfo/";
        config.channel_id =  obj.channel_id;
        var p = JSON.stringify(config);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.APPIDInfo","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                console.info("验证成功!APP_DATA:");
                console.info(result);
                obj.app_id = result.data.id;
                obj.game_id = result.data.game_id;
                obj.signkey = result.data.signkey;
                obj.game_login_url = result.data.loginUrl;
                obj.app_info = JSON.parse(result.data.info);

                obj.reportPV();
                obj._channelUserInfo(config);
                obj._tryOpenConsole(obj.app_info);
            }else if(result.errCode == 1003) {
                console.log("渠道维护中");
                MiniSite.notice("维护信息", result.error);
            }else{
                console.error(result.error);
            }
        },obj)
    }

    /**
     * 退出
     */
    obj.signout= function(callback){
        try {
            if(typeof this.channelInst.signout === "function") {
                this.channelInst.signout(function(res)  {
                    console.info("signout.res..",res);
                    callback(res);
                });
            }
        } catch(e) {}
    }

    /**
     * 用户充值
     * @param {Object} config 相关设置.
     * @param {Function} cb   获取成功后的回调
     */
    obj.recharge= function(config,cb){
        obj.rechargeCallBack = cb;
        obj.pay_type = config.pay_type;
        // 获取APP信息
        console.info("正在验证APP信息...");
        config.channel_id =  obj.channel_id;

        var url= obj.baseUrl + "/index.php/user/api/APPIDInfo/";
        var p = JSON.stringify(config);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.APPIDInfo","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                console.info("验证成功!APP_DATA:");
                console.info(result);
                obj.app_id = result.data.id;
                obj.game_id = result.data.game_id;
                obj.game_login_url = result.data.loginUrl;
                obj.signkey = result.data.signkey;
                obj.app_info = JSON.parse(result.data.info);
                obj._createOrder(config);
            }else{
                console.error(result.error);
            }
        },obj)
    }

    /**
     * 渠道分享判断
     * 本渠道是否支持分享 支持返回true,不支持返回false
     */
     obj.hasSharingMethod= function(callback){
        // 获取channel表share信息
        console.info("正在验证是否支持分享...");

        var url= obj.baseUrl + "/index.php/channel/api/ChannelShare/";
        var p = JSON.stringify({channel_id:obj.channel_id});
        var data=JSON.stringify({'data':'{"mod":"channel","do":"api.ChannelShare","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                callback(result.data == 1?true:false);
            }else{
                alert(result.error);
            }
        },obj)
    }

    /* 
    ** （闪屏）
     */
    obj.hideSplash = function(){
        console.log("channel_inst do hideSplash...");
        try {
            if(typeof obj.channelInst.hideSplash === "function") { //是函数    其中 FunName 为函数名称
                 obj.channelInst.hideSplash();
            }else{
                console.info('hideSplash不是函数',typeof obj.channelInst.hideSplash);
            }
        } catch(e) {
            console.log('e---',e);
        }
    }

    /**
     * 用户分享
     */
     obj.share= function(config,callback){
        console.log("channel_inst do share...");
        obj.channelInst.share(config,function(res)  {
            console.info("share.res..",res);
        });
    }

    /**
     * 获取系统信息
     */
    obj.getSystemInfoSync = function(callback, thisObj) {
        console.log("channel_inst getSystemInfoSync...");
        obj.channelInst.getSystemInfoSync(function (res) {
            console.info("channel_inst getSystemInfoSync.res..", res);
            callback(res, thisObj);
        });
    }

    /**
     * 本渠道是否支持关注 支持返回true,不支持返回false
     */
    obj.hasInterestMethod= function(callback){
        // 获取channel表interest信息
        console.info("正在验证是否支持关注...");

        var url= obj.baseUrl + "/index.php/channel/api/ChannelInterest/";
        var p = JSON.stringify({channel_id:obj.channel_id});
        var data=JSON.stringify({'data':'{"mod":"channel","do":"api.ChannelInterest","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                callback(result.data == 1?true:false);
            }else{
                alert(result.error);
            }
        },obj)
    }

    /**
     * 检测用户是否关注公众号 是返回true,否返回false
     */
    obj.hasInterested= function(config,callback){
        // 获取channel表interest信息
        console.info("检测用户是否关注公众号...");
        obj.channelInst.hasInterested(config,function(res)  {
            console.info("hasinterest.res..",res);
            callback(res);
        });

    }

    /**
     * 用户关注
     */
    obj.interest= function(){
        console.log("channel_inst do interest...");
        obj.channelInst.interest();
    }

    /**
     * 敏感词屏蔽
     */
    obj.sensitiveWords= function(config,callback){
        if(!obj.wgcWords){
            obj.channelInst.sensitiveWords(config,function(res)  {
                console.info("sensitiveWords.res..",obj.wgcWords);
                callback(res);
            });
        }else{
            callback(true);
        }
    }

    /**
     * 激活数据上报
     */
    obj.reportPV= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"pv"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)

        console.info("接收激活...");
        try {
            if(typeof obj.channelInst.reportPV === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportPV();
            }
        } catch(e) {}

    }

    /**
     * 创角数据上报
     */
    obj.reportRoleCreate= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"roleCreate"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)

        console.info("接收创角...");
        try {
            if(typeof obj.channelInst.reportRoleCreate === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleCreate();
            }
        } catch(e) {}


    }

    /**
     * 活跃数据上报
     */
    obj.reportRoleActive= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"roleActive"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)
        console.info("接收活跃...");
        try {
            if(typeof obj.channelInst.reportRoleActive === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleActive();
            }
        } catch(e) {}

    }

    /**
     * 接收角色上报
     */
    obj.reportRoleInformation= function(config,callback){
        console.info("角色上报...");
        try {
            if(typeof obj.channelInst.reportRoleInformation === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleInformation(config,function(res)  {
                    console.info("reportRoleInformation.res..",res);
                    callback(res);
                });
            }
        } catch(e) {}
    }

    /**
     * 完成新手引导
     */
    obj.completeNoviceGuide= function(){
        try {
            if(typeof obj.channelInst.completeNoviceGuide === "function") {
                obj.channelInst.completeNoviceGuide();
            }
        } catch(e) {}
    }

    /**
     * 首次充值
     */
    obj.firstRecharge= function(){
        try {
            if(typeof obj.channelInst.firstRecharge === "function") {
                obj.channelInst.firstRecharge();
            }
        } catch(e) {}
    }

    /**
     * 首次登录
     */
    obj.firstLogin= function(){
        try {
            if(typeof obj.channelInst.firstLogin === "function") {
                obj.channelInst.firstLogin();
            }
        } catch(e) {}
    }

    /**
     * 播放广告
     */
    obj.broadcastAd= function(config,callback){
        obj.channelInst.broadcastAd(config,function(res)  {
            console.info("broadcastAd.res..",res);
            callback(res);
        });
    }

    /**
     * 打开VConsole
     * @param {Object} app_info
     */
    obj._tryOpenConsole= function(app_info){
        // console.log("app_info",app_info);
        var vConsoleObj = app_info.vConsole;
        console.log("vConsoleObj",vConsoleObj);
        if(!vConsoleObj)return;
        var isOpen = vConsoleObj.open == true?true:false;
        var channel_ids = vConsoleObj.channel_ids;
        if(!isOpen || !channel_ids)return;
        if(isOpen){
            if(channel_ids.indexOf(obj.channel_id) >= 0){
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/jquery.min.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/jquery.cookie.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/zepto.touch.min.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/vconsole.min.js",function(){
                    // 初始化vConsole
                    window.vConsole = new window.VConsole({
                        defaultPlugins: ['system', 'network', 'element', 'storage'], // 可以在此设定要默认加载的面板
                        maxLogNumber: 1000,
                        // disableLogScrolling: true,
                        onReady: function() {
                            console.log('vConsole is ready.');
                        },
                        onClearLog: function() {
                            console.log('on clearLog');
                        }
                    });
                },obj);
            }
        }
    }

    /**
     * 创建订单
     */
    obj._createOrder= function(config){
        //////////鉴权//////////////////////////////////////////////////////////////////////////////////////////
        var authUrl = obj.baseUrl + "/index.php/user/api/AuthEntication/";
        var paramUrl = {
            channel_id:obj.channel_id,
            game_id:obj.app_id
        };
        if(!config.uuid || !config.price){
            alert("身份丢失");
            return false;
        }
        var pUrl = JSON.stringify(paramUrl);
        var dataUrl=JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntication","p":'+pUrl+'}',"h":""});
        obj.send(authUrl,dataUrl,function(results){
            var auth = JSON.parse(results);
            ////////////////////////////////////
            if(auth.data == 0){
                var url= obj.baseUrl + "/index.php/pay/order/create/";
                var param = {
                    APPID:obj.app_id,
                    uuid:config.uuid,
                    pay_type:obj.pay_type,
                    cp_out_order_no:config.out_order_no,
                    channel_id:obj.channel_id,
                    price:config.price
                };
                console.info("正在创建订单... param:",obj.RDPAYS);
                var paymod = obj.getParam('paymod');

                if(obj.RDPAYS){
                    var userUrl= obj.baseUrl + "/index.php/user/api/getUserPosition/";
                    var uP = JSON.stringify(param);
                    var datas = JSON.stringify({'data':'{"mod":"user","do":"api.getUserPosition","p":'+uP+'}',"h":""});
                    obj.send(userUrl,datas,function(result){
                        result = JSON.parse(result);
                        if(result.errCode == 0 && result.data.city){
                            window.returnCitySN = result.data.province + result.data.city;
                        }
                        obj.RDPAYSRES = getPayType(obj.RDPAYS,config.price,obj.RDPAYSOS);
                        if(!obj.RDPAYSRES && paymod){
                            paymod = null;
                        }
                        console.log("paymod1:",paymod);
                        if (paymod) {
                            var judge = paymod.search("none");
                            if (paymod.search("none") == -1) {
                                judge = 0;
                            } else {
                                judge = 1;
                            }
                        } else {
                            var judge = 0;
                        }

                        console.log("judge:",judge);
                        if(obj.pay_type == "select" && !judge){
                            console.info("obj.pay_type：",obj.pay_type);
                            MiniSite.loadPayBox(config.price,function(type){
                                obj.pay_type = type;
                                param.pay_type = obj.pay_type;
                                console.info("订单参数:"+JSON.stringify(param));

                                console.log(param);
                                var signature = obj.signHashHmac(param,atob(obj.signkey));
                                param.sign = signature;

                                var p = JSON.stringify(param);
                                var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                obj.send(url,data,function(result){
                                    result = JSON.parse(result,true);
                                    if(result.errCode == 0){
                                        console.info("订单创建成功!order_data:");
                                        console.info(result.data);
                                        config['rd_order_no'] = result.data['order'].rd_order_no;
                                        config['state'] = result.data['order'].state;
                                        config['open_id'] = result.data['user'].username.split("gameid")[0];
                                        console.info(config);
                                        obj._channelRecharge(config);
                                    }else{
                                        console.error(result.error);
                                    }
                                },obj)
                            },obj);
                        }else{
                            console.info("订单参数:"+JSON.stringify(param));

                            var signature = obj.signHashHmac(param,atob(obj.signkey));
                            param.sign = signature;
                            console.log(param);
                            var p = JSON.stringify(param);
                            var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                            obj.send(url,data,function(result){
                                result = JSON.parse(result);
                                if(result.errCode == 0){
                                    console.info("订单创建成功!order_data:");
                                    console.info(result);
                                    config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                    config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                    config['state'] = result.data['order'].state;//燃点订单的状态
                                    console.info(config);
                                    obj._channelRecharge(config);
                                }else{
                                    console.error(result.error);
                                }
                            },obj)
                        }

                    },obj);
                }else{

                    console.log("paymod2:",paymod);
                    if (paymod) {
                        var judge = paymod.search("none");
                        if (paymod.search("none") == -1) {
                            judge = 0;
                        } else {
                            judge = 1;
                        }
                    } else {
                        var judge = 0;
                    }

                    console.log("judge:",judge);
                    if(obj.pay_type == "select" && !judge){
                        console.info("obj.pay_type：",obj.pay_type);
                        MiniSite.loadPayBox(config.price,function(type){
                            obj.pay_type = type;
                            param.pay_type = obj.pay_type;
                            console.info("订单参数:"+JSON.stringify(param));

                            console.log(param);
                            var signature = obj.signHashHmac(param,atob(obj.signkey));
                            param.sign = signature;

                            var p = JSON.stringify(param);
                            var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                            obj.send(url,data,function(result){
                                result = JSON.parse(result,true);
                                if(result.errCode == 0){
                                    console.info("订单创建成功!order_data:");
                                    console.info(result.data);
                                    config['rd_order_no'] = result.data['order'].rd_order_no;
                                    config['state'] = result.data['order'].state;
                                    config['open_id'] = result.data['user'].username.split("gameid")[0];
                                    console.info(config);
                                    obj._channelRecharge(config);
                                }else{
                                    console.error(result.error);
                                }
                            },obj)
                        },obj);
                    }else{
                        console.info("订单参数:"+JSON.stringify(param));

                        var signature = obj.signHashHmac(param,atob(obj.signkey));
                        param.sign = signature;
                        console.log(param);
                        var p = JSON.stringify(param);
                        var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                        obj.send(url,data,function(result){
                            result = JSON.parse(result);
                            if(result.errCode == 0){
                                console.info("订单创建成功!order_data:");
                                console.info(result);
                                config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                config['state'] = result.data['order'].state;//燃点订单的状态
                                console.info(config);
                                obj._channelRecharge(config);
                            }else{
                                console.error(result.error);
                            }
                        },obj)
                    }
                }
            }else{
                var orderUrl = obj.baseUrl + "/index.php/user/api/AuthOrder/";
                var orde = {
                    uuid: config.uuid,
                    amount: config.price
                };
                var orderP = JSON.stringify(orde);
                var orderData = JSON.stringify({'data':'{"mod":"user","do":"api.AuthOrder","p":'+orderP+'}',"h":""});
                obj.send(orderUrl,orderData,function(orderres){
                    orderres = JSON.parse(orderres);
                    console.log(orderres.data.state);
                    if(orderres.data.state == 2){ //未成年玩家充值限值
                        MiniSite.authOrder();
                    }else if(orderres.data.state == 3){     //游客限制充值
                        var authFormData = [];
                        authFormData.uuid = config.uuid;
                        authFormData.app_id = obj.app_id;
                        authFormData.channel_id = obj.channel_id;
                        authFormData.time = orderres.data.time;
                        authFormData.sign = orderres.data.sign;
                        console.log("游客限额支付 实名认证", authFormData);
                        MiniSite.authFormYk(obj,authFormData, 1, "您当前是游客身份，实名后方能购买",1, function(res){
                            // console.log("游客限额支付 实名认证 成功后回调", res);
                            // if(res==1){
                            //     obj._createOrder(config);    //这里涉及到渠道文件里还是游客状态。产生的连锁问题，不如直接刷新重新登录，以及游客防沉迷关闭
                            // }
                            window.location.reload();
                        });  //未进行实名认证
                    }else{
                        // 获取APP信息
                        var url= obj.baseUrl + "/index.php/pay/order/create/";
                        var param = {
                            APPID:obj.app_id,
                            uuid:config.uuid,
                            pay_type:obj.pay_type,
                            cp_out_order_no:config.out_order_no,
                            channel_id:obj.channel_id,
                            price:config.price
                        };
                        console.info("正在创建订单... param:",obj.RDPAYS);
                        var paymod = obj.getParam('paymod');

                        if(obj.RDPAYS){
                            var userUrl= obj.baseUrl + "/index.php/user/api/getUserPosition/";
                            var uP = JSON.stringify(param);
                            var datas = JSON.stringify({'data':'{"mod":"user","do":"api.getUserPosition","p":'+uP+'}',"h":""});
                            obj.send(userUrl,datas,function(result){
                                result = JSON.parse(result);
                                if(result.errCode == 0 && result.data.city){
                                    window.returnCitySN = result.data.province + result.data.city;
                                }
                                obj.RDPAYSRES = getPayType(obj.RDPAYS,config.price,obj.RDPAYSOS);
                                if(!obj.RDPAYSRES && paymod){
                                    paymod = null;
                                }
                                console.log("paymod1:",paymod);
                                if (paymod) {
                                    var judge = paymod.search("none");
                                    if (paymod.search("none") == -1) {
                                        judge = 0;
                                    } else {
                                        judge = 1;
                                    }
                                } else {
                                    var judge = 0;
                                }

                                console.log("judge:",judge);
                                if(obj.pay_type == "select" && !judge){
                                    console.info("obj.pay_type：",obj.pay_type);
                                    MiniSite.loadPayBox(config.price,function(type){
                                        obj.pay_type = type;
                                        param.pay_type = obj.pay_type;
                                        console.info("订单参数:"+JSON.stringify(param));

                                        console.log(param);
                                        var signature = obj.signHashHmac(param,atob(obj.signkey));
                                        param.sign = signature;

                                        var p = JSON.stringify(param);
                                        var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                        obj.send(url,data,function(result){
                                            result = JSON.parse(result,true);
                                            if(result.errCode == 0){
                                                console.info("订单创建成功!order_data:");
                                                console.info(result.data);
                                                config['rd_order_no'] = result.data['order'].rd_order_no;
                                                config['state'] = result.data['order'].state;
                                                config['open_id'] = result.data['user'].username.split("gameid")[0];
                                                console.info(config);
                                                obj._channelRecharge(config);
                                            }else{
                                                console.error(result.error);
                                            }
                                        },obj)
                                    },obj);
                                }else{
                                    console.info("订单参数:"+JSON.stringify(param));

                                    var signature = obj.signHashHmac(param,atob(obj.signkey));
                                    param.sign = signature;
                                    console.log(param);
                                    var p = JSON.stringify(param);
                                    var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                    obj.send(url,data,function(result){
                                        result = JSON.parse(result);
                                        if(result.errCode == 0){
                                            console.info("订单创建成功!order_data:");
                                            console.info(result);
                                            config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                            config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                            config['state'] = result.data['order'].state;//燃点订单的状态
                                            console.info(config);
                                            obj._channelRecharge(config);
                                        }else{
                                            console.error(result.error);
                                        }
                                    },obj)
                                }

                            },obj);
                        }else{

                            console.log("paymod2:",paymod);
                            if (paymod) {
                                var judge = paymod.search("none");
                                if (paymod.search("none") == -1) {
                                    judge = 0;
                                } else {
                                    judge = 1;
                                }
                            } else {
                                var judge = 0;
                            }

                            console.log("judge:",judge);
                            if(obj.pay_type == "select" && !judge){
                                console.info("obj.pay_type：",obj.pay_type);
                                MiniSite.loadPayBox(config.price,function(type){
                                    obj.pay_type = type;
                                    param.pay_type = obj.pay_type;
                                    console.info("订单参数:"+JSON.stringify(param));

                                    console.log(param);
                                    var signature = obj.signHashHmac(param,atob(obj.signkey));
                                    param.sign = signature;

                                    var p = JSON.stringify(param);
                                    var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                    obj.send(url,data,function(result){
                                        result = JSON.parse(result,true);
                                        if(result.errCode == 0){
                                            console.info("订单创建成功!order_data:");
                                            console.info(result.data);
                                            config['rd_order_no'] = result.data['order'].rd_order_no;
                                            config['state'] = result.data['order'].state;
                                            config['open_id'] = result.data['user'].username.split("gameid")[0];
                                            console.info(config);
                                            obj._channelRecharge(config);
                                        }else{
                                            console.error(result.error);
                                        }
                                    },obj)
                                },obj);
                            }else{
                                console.info("订单参数:"+JSON.stringify(param));

                                var signature = obj.signHashHmac(param,atob(obj.signkey));
                                param.sign = signature;
                                console.log(param);
                                var p = JSON.stringify(param);
                                var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                obj.send(url,data,function(result){
                                    result = JSON.parse(result);
                                    if(result.errCode == 0){
                                        console.info("订单创建成功!order_data:");
                                        console.info(result);
                                        config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                        config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                        config['state'] = result.data['order'].state;//燃点订单的状态
                                        console.info(config);
                                        obj._channelRecharge(config);
                                    }else{
                                        console.error(result.error);
                                    }
                                },obj)
                            }
                        }
                    }
                },obj);
            }
        },obj);
    }

    /**
     * 根据channel_id分别获取对应渠道的获取用户方法
     */
    obj._channelUserInfo=function(config){
        var open_id,name,avatar;
        var that = obj;
        console.log("channel_inst do getUserInfo...",obj.channelInst);
        obj.channelInst.getUserInfo(function(res)  {
            open_id = res.open_id;
            name    = res.name;
            avatar  = res.avatar;
            that._tryLogin(open_id,name,avatar,res.password);
        });
    }
    /**
     * 根据channel_id分别获取对应渠道的充值方法
     */
    obj._channelRecharge=function(config){
        console.log("channel_inst do recharge...");
        var that = obj;
        obj.channelInst.recharge(config,function(cb)  {
            console.info(cb);//回调
            var rdCb = [];
            rdCb['id'] = config.rd_order_no;
            rdCb['out_order_no'] = config.out_order_no;
            rdCb['price'] = config.price;
            rdCb['type'] = config['state'];
            that.rechargeCallBack.call(null,rdCb);
        })
    }

    obj._tryLogin=function(open_id,name,avatar,password){
        var password = password || "";
        var authUrl = obj.baseUrl + "/index.php/user/api/AuthEntication/";
        var paramUrl = {
            channel_id:obj.channel_id,
            game_id:obj.app_id
        };
        var pUrl = JSON.stringify(paramUrl);
        var dataUrl=JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntication","p":'+pUrl+'}',"h":""});
        obj.send(authUrl,dataUrl,function(results){
            var auth = JSON.parse(results);
        ////////////////////////////////////    
            var paramObj = {
                "account":open_id,
                "password":password.length == 0?open_id:password,
                "app_id":obj.app_id,
                "channel_id":obj.channel_id//新增

                // "sign":open_id
            };
             
            console.info("正在请求登陆...",paramObj);
            var signature = obj.signHashHmac(paramObj,atob(obj.signkey));
            paramObj.sign = signature;

            var url = obj.baseUrl +"/index.php/user/api/login/";
            var p = JSON.stringify(paramObj);
            var data=JSON.stringify({'data':'{"mod":"user","do":"api.login","p":'+p+'}',"h":""});
            obj.send(url,data,function(res){
                res = JSON.parse(res);
                if(res.errCode == 0){
                    if(auth.data == 1){
                        if(obj.isRdYk == true){
                            console.log('遊客-----------------',obj.isRdYk);
                            var aurl = obj.baseUrl +"/index.php/user/api/AuthEnticaYK";
                            var uuid = {"uuid":res.data.uuid,"dtim":0}
                            var auth_uu = JSON.stringify(uuid);
                            var auth_uuid = JSON.stringify({'data':'{"mod":"user","do":"api.AuthEnticaYK","p":'+auth_uu+'}',"h":""});
                        }else{
                            console.log('遊客++++++++++++++++',obj.isRdYk);
                            var aurl = obj.baseUrl +"/index.php/user/api/AuthEntica";
                            var uuid = {"uuid":res.data.uuid,"dtim":0}
                            var auth_uu = JSON.stringify(uuid);
                            var auth_uuid = JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntica","p":'+auth_uu+'}',"h":""});
                        }  
                        obj.send(aurl,auth_uuid,function(rest){
                            rest = JSON.parse(rest);
                            console.log(rest.data.state);
                            switch(rest.data.state){
                              case 0:
                                obj.userInfoCallBack.call(null,res.data);
                                var authFormData = res.data;
                                authFormData.app_id = obj.app_id;
                                authFormData.channel_id = obj.channel_id;
                                authFormData.time = rest.data.time;
                                authFormData.sign = rest.data.sign;
                                console.log("正式用户未实名", authFormData);
                                MiniSite.authFormYk(obj,authFormData, 0, "您需要完成实名认证",0);  //未进行实名认证
                                break;
                              case 1:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data); 
                                break;
                              case 2:
                                MiniSite.authTime(); //22-8 之间 禁止未成年人上线
                                break;
                              case 3:
                                MiniSite.authOver(); //未成年上线时间已结束
                                break;
                              case 4:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data);
                                //执行未成年防沉迷
                                MiniSite.authFormInterval(obj, res.data.uuid)
                                break;
                              case 5:
                                  obj.userInfoCallBack.call(null,res.data);
                                  var authFormData = res.data;
                                  authFormData.app_id = obj.app_id;
                                  authFormData.channel_id = obj.channel_id;
                                  authFormData.time = rest.data.time;
                                  authFormData.sign = rest.data.sign;
                                  console.log("游客游戏时间已到-进行绑定身份", authFormData);
                                  MiniSite.authFormYk(obj,authFormData, 1, '若未实名认证，则只能游戏60分钟',0);
                                  break;
                                break;
                              case 6:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data);
                                var that = obj;
                                var setinter = setInterval(function(){
                                    var aurls = that.baseUrl +"/index.php/user/api/AuthMtime";
                                    var uuids = {"uuid":res.data.uuid}
                                    var auth_uus = JSON.stringify(uuids);
                                    var auth_uuids = JSON.stringify({'data':'{"mod":"user","do":"api.AuthMtime","p":'+auth_uus+'}',"h":""});
                                    that.send(aurls,auth_uuids,function(res2){
                                        console.log("防沉迷 - 游客", res2);
                                        res2 = JSON.parse(res2);
                                        //0：防沉迷已到时，1：未到时间
                                        if(res2.data.state == 0){
                                            if(document.getElementById('payBox')){
                                                document.getElementById('payBox').remove();
                                            }
                                            var authFormData = res.data;
                                            authFormData.app_id = obj.app_id;
                                            authFormData.channel_id = obj.channel_id;
                                            authFormData.time = res2.data.time;
                                            authFormData.sign = res2.data.sign;
                                            // //游客防沉迷提醒
                                            // MiniSite.authYouke();
                                            //防沉迷绑定
                                            MiniSite.authFormYk(obj, authFormData, 1, '若未实名认证，则只能游戏60分钟',0);  //未进行实名认证
                                            clearInterval(setinter);
                                        }
                                    },that)
                                },60000);
                                break;
                            }
                        },obj)                      
                    }else{
                        console.info("登陆成功!");
                        obj.userInfoCallBack.call(null,res.data)
                    }
                }else if(res.errCode == 102){
                    console.info("账号不存在!");
                    obj._tryRegister(open_id,name,avatar,paramObj.password);
                }else if(res.errCode == 1003) {
                    console.log("渠道维护中");
                    MiniSite.notice("维护信息", res.error);
                }else{
                    console.error(res.error);
                    // alert("接口异常"+res.error);
                    // window.location.reload();
                }
            },obj)
        ////////////////////////////////////////////
        },obj) 
    }

    obj._tryRegister=function(open_id,name,avatar,password){
        console.info("正在请求注册...");
        var paramObj = {
            "account":open_id,
            "password":password,
            "channel_id":obj.channel_id,
            "nickname":name,
            "avatar":avatar?avatar:"",
            "app_id":obj.app_id
        };
        console.log(atob(obj.signkey));
        var signature = obj.signHashHmac(paramObj,atob(obj.signkey));
        paramObj.sign = signature;
        console.log(paramObj.sign);
        console.log(paramObj);
        var url = obj.baseUrl +"/index.php/user/api/register/";
        var p = JSON.stringify(paramObj);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.register","p":'+p+'}',"h":""});
        obj.send(url,data,function(res){
            res = JSON.parse(res);
            if(res.errCode == 0){
                console.info("注册成功!");
                obj.firstLogin();
                obj._tryLogin(open_id,name,avatar,password);
            }else{
                console.error(res.error);
                // alert("接口异常"+res.error);
                // window.location.reload();
            }
        },obj)
    }

    obj.signHashHmac=function(paramObj,localSignKey){
        var localSignKey = localSignKey || "124858735da394eb";
        //开始排序
        paramObj = ksort(paramObj);
        // console.log(1,paramObj);
        var str = [];
        for (var key in paramObj) {
            var value = paramObj[key];
            str.push(key+"="+value);
        }
        // console.log(2,str);
        var strData = str.join("&");
        strData += "&key="+localSignKey;
        // console.log(3,strData);
        var signature = CryptoJS.HmacSHA256(strData, localSignKey).toString();
        // console.log(4,signature);
        // signature = CryptoJS.enc.Base64.stringify(signature);
        // console.log(5,signature);
        signature = signature.toUpperCase();
        // console.log(5,signature);
        return signature;
    }

    obj.send=function(url,data,cb,cbObj,sCount){
        var sCount = sCount || 1;
        var xmlhttp=new XMLHttpRequest();
        xmlhttp.open("POST",url,true);
        xmlhttp.send(data);
        xmlhttp.onreadystatechange=function()
        {
            if (xmlhttp.readyState==4 && xmlhttp.status==200)
            {
                cb.call(cbObj,xmlhttp.responseText);
            }else if(xmlhttp.status == 0){
                setTimeout(function(){
                    sCount += 1;
                    if(sCount < 5){
                        obj.send(url,data,cb,cbObj,sCount);
                    }else{
                        cb({"error":"接口异常"});
                    }
                },1000);
            }
        }
    }
    var param = obj.getParam("debug");

    if(param == "true"){
        console.info("param debug:"+param);
        obj.baseUrl = "//xmzt.lzwiii.cn/";
    }else if(param == "test"){
        console.info("param debug:"+param);
        obj.baseUrl = "//test.xmzt.ximiplay.com/";
    }else{
        obj.baseUrl = "https://xmzt.ximiplay.com/";
        // obj.baseUrl = "//center-test.rd-game.com/";
    }

    obj.pay_type = "select";
    obj.readyCallback = null;
    obj.readyCallbackObj = null;
    obj.app_id = null;
    obj.channel_id = null;
    obj.game_id = null;
    obj.game_login_url = null;
    obj.app_info = null;

    obj.userInfoCallBack = null;
    obj.rechargeCallBack = null;
    obj.signkey = null;
    obj.RDPAYS = null;
    obj.RDPAYSRES = null;
    obj.RDPAYSOS = true;
    obj.wgcWords = true;
    var channel_id = parseInt(obj.getParam("channel_id"));
    obj.ready(callback,callbackObj);
    obj.init(channel_id);
    //反射后的渠道实例
    obj.channelInst = null;

    //加载支付Css
    MiniSite.CssLoader.load(obj.baseUrl+"sdk/payBox.css");
    MiniSite.CssLoader.load(obj.baseUrl+"sdk/weui.min.css");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/crypto-js/crypto-js.js");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/zepto.min.js");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/js/rdpays.js");

    return obj;
}

var MiniSite = new Object();
/**
 * 判断浏览器
 */
MiniSite.Browser={
    ie:/msie/.test(window.navigator.userAgent.toLowerCase()),
    moz:/gecko/.test(window.navigator.userAgent.toLowerCase()),
    opera:/opera/.test(window.navigator.userAgent.toLowerCase()),
    safari:/safari/.test(window.navigator.userAgent.toLowerCase())
};
/**
 * JsLoader对象用来加载外部的js文件
 */
MiniSite.JsLoader={
    /**
     * 加载外部的js文件
     * @param sUrl 要加载的js的url地址
     * @fCallback js加载完成之后的处理函数
     */
    load:function(sUrl,fCallback,callbackObj){
        var _script=document.createElement('script');
        _script.setAttribute('charset','utf-8');
        _script.setAttribute('type','text/javascript');
        _script.setAttribute('src',sUrl);
        document.getElementsByTagName('head')[0].appendChild(_script);
        if(MiniSite.Browser.ie){
            var userAgent = window.navigator.userAgent;
            var reIE = new RegExp("MSIE (\\d+\\.\\d+);");
            reIE.test(userAgent);
            var fIEVersion = parseFloat(RegExp["$1"]);
            if(fIEVersion >=8 && fIEVersion <= 10){
                _script.onload=function(){
                    if(fCallback!=undefined){
                        fCallback.call(callbackObj);
                    }
                };
            }else{
                _script.onreadystatechange=function(){
                    if(this.readyState=='loaded'||this.readyStaate=='complete'){
                        //fCallback();
                        if(fCallback!=undefined){
                            fCallback.call(callbackObj);
                        }
                    }
                };
            }
        }else if(MiniSite.Browser.moz){
            _script.onload=function(){
                //fCallback();
                if(fCallback!=undefined){
                    fCallback.call(callbackObj);
                }
            };
        }else{
             _script.onload=function(){
                //fCallback();
                if(fCallback!=undefined){
                    fCallback.call(callbackObj);
                }
            };
        }
    }
};

/**
 * 动态加载CSS
 * @param {string} url 样式地址
 */
MiniSite.CssLoader = {
    load:function(url){
        var head = document.getElementsByTagName('head')[0];
        var link = document.createElement('link');
        link.type='text/css';
        link.rel = 'stylesheet';
        link.href = url;
        head.appendChild(link);
    }
}

MiniSite.loadBox = function() {
    var e = $("#payBox");
    var height =document.body.offsetHeight*0.6;
    console.log(height);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5" style="width: 80%;max-width: 500px;">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">杭州西米游戏用户协议</li><i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info" style="text-align:left;padding: 10px;overflow: auto;height: '+height+'px;max-height: 50em;font-size: 1.5rem;">';
        g += '<p>        <p class="p" align="center" style="margin-left:0.0000pt;text-align:center;">            <b>前言</b>        </p>        <p class="MsoNormal">                   本《用户服务协议》（以下简称“本协议”）是由您（以下称为“用户”）杭州西米科技<span>有限公司（以下称为</span>“杭州西米”），就杭州西米在其和／或其关联公司的游戏平台上所提供的产品和服务（包括杭州西米的网站以及杭州西米<span>现在正在提供和将来可能向用户提供的游戏服务和其他网络服务，以下统称为</span>“产品和服务”）所订立的协议。<br />     <br />    <b>重要须知：</b><br />    <b>1、本协议在用户获得及使用</b><b>杭州西米</b><b>游戏产品和服务之日签订并生效。本协议的订立、履行、解释及争议的解决均适用中华人民共和国法律并排除其他一切冲突法的适用。本协议订立于</b><b>杭州市西湖区</b><b>。如双方就本协议的内容或其执行发生任何争议（包括但不限于合同或者其他财产性权益纠纷），双方应友好协商解决；协商不成时，双方同意交由</b><b>杭州西米</b><b>所在地有管辖权的人民法院管辖并处理。</b><br />    <b>2、请用户仔细阅读本协议内容（特别是加粗字体的内容）。如用户不同意本协议的任意内容，请不要注册或使用</b><b>杭州西米</b><b><span>提供的任何产品和服务。如用户通过进入注册程序并勾选</span>“我已阅读并同意用户服务协议与隐私协议”，即表示用户与</b><b>杭州西米</b><b><span>已达成协议，自愿接受本协议及《用户隐私协议》的所有内容。此后，用户不得以未阅读</span>/未同意本协议及《用户隐私协议》的内容作任何形式的抗辩。</b><br />    <b>3、请注意，</b><b>杭州西米</b><b>可能适时对本协议进行修改与更新，用户同意将随时留意查看本协议的最新版本。请在使用</b><b>杭州西米</b><b>的产品（或服务）前，仔细阅读并了解本协议，以确保对本协议的最新版本始终保持了解。如用户不同意或不接受本协议条款内容的，请不要继续使用</b><b>杭州西米</b><b>游戏提供的产品和服务，否则视为用户同意接受修订后的本协议内容。</b><br />    <b>4、</b><b>杭州西米</b><b>游戏特别提醒用户认真阅读本协议的全部条款，特别是其中免除或者限制</b><b>杭州西米</b><b><span>游戏责任的条款（该等条款通常含有</span>“不负责”、“不保证”等词汇）、限制用户权利的条款（该等条款通常含有“不得”、“不应”、“不允许”、“禁止”等词汇）、法律适用和争议解决条款，这些条款应在中国法律所允许的范围内最大程度地适用，该类条款通常用加粗字体标示。</b><br />    <b>5、如果用户未满18周岁，请在法定监护人的陪同下阅读本协议，并特别注意未成年人使用条款。如未成年人继续使用</b><b>杭州西米</b><b>游戏提供的游戏及服务的，视为未成年人用户已取得法定监护人对该用户享用</b><b>杭州西米</b><b>游戏提供的游戏和服务、向</b><b>杭州西米</b><b>游戏支付费用的行为，以及对本协议全部条款的同意。</b><br />     <br />    <b>一、服务内容</b><br />    1.1. 杭州西米产品和服务的具体内容由杭州西米<span>根据实际情况提供，例如网络游戏、手机软件、论坛（</span>BBS）、聊天室、电子邮件等。杭州西米保留随时变更、中断或终止部分或全部产品和服务的权利。<br />    1.2. 杭州西米在提供产品和服务时，可能会对部分用户收取一定的费用。在此情况下，相关页面上会有明确的提示。如用户不同意支付该等费用，可选择不接受相应的产品和服务。<br />    1.3. 杭州西米通过服务器端设备接入互联网为用户提供产品和服务，除此之外与产品和服务有关的设备（如电脑、手机、调制解调器及其他与接入互联网有关的装置）及所需的费用（如为接入互联网而支付的电话费及上网费）均应由用户自行负担。<br />    1.4. 用户应使用正版软件接受产品和服务，软件费用由用户自行负担。<br />    <b>二、帐号名称和密码</b><br />    2.1. 用户阅读并同意本协议，成功完成注册后，即成为杭州西米的注册用户，取得杭州西米用户帐号（以下称<b>“</b><b>杭州西米</b><b><span>帐号</span>”</b>）。杭州西米帐号名称在注册之后不可变更，但帐号对应的密码用户可以通过杭州西米提供的客服指引进行修改。<br />    2.2. 用户有权使用杭州西米帐号对杭州西米提供的产品和服务进行体验，并对于杭州西米帐号及密码的保管以及使用该帐号和密码所进行的一切行为负有完全的责任。杭州西米禁止用户将杭州西米帐号或密码进行销售、转让或出借、共享给他人使用。<b>因为用户的保管疏忽或任何第三方行为，导致用户的</b><b>杭州西米</b><b>帐号或密码遭他人非法使用，以及因此而产生的任何后果，</b><b>杭州西米</b><b>均不承担任何责任。</b><br />    2.3. 用户发现其杭州西米帐号或密码被他人非法使用或有使用异常情况的，应及时根据杭州西米<span>公布的联系</span>/处理方式通知杭州西米，并有权请求杭州西米采取措施暂停该帐号的登录和使用。<b>杭州西米</b><b>根据用户身份核对结果，有权决定是否暂停</b><b>杭州西米</b><b>帐号的登录和使用。</b><br />    <b>2.4. 如果用户选择通过“快速游戏”、“游客”或其他类似便捷模式（下称“游客模式”），在未注册</b><b>杭州西米</b><b>帐号的前提下快速登录游戏的，请用户登录后及时绑定</b><b>杭州西米</b><b>帐号；如用户未绑定</b><b>杭州西米</b><b>帐号的，则一旦用户选择卸载、重装</b><b>杭州西米</b><b>的产品或游戏软件的，或用户的移动智能设备、电脑损坏导致产品或游戏软件无法正常启动的，用户在游客模式下的全部游戏数据、游戏记录等内容将无法查询、恢复。</b><br />    <b>三、帐号注册信息</b><br />    3.1. 提供注册信息<br />    <span>（</span>1）在申请杭州西米帐号时（或注册后补充信息时），用户应当向杭州西米提供最新、详细及真实准确的个人注册信息。前述个人注册信息包括：用户的杭州西米帐号名称、密码及注册杭州西米帐号（或补充、更新帐号信息时）输入的所有信息。<b>用户在此承诺：用户应依据相关法律法规的规定及</b><b>杭州西米</b><b>提供的相关指引以其真实身份信息注册成为</b><b>杭州西米</b><b>的用户，并保证所提供的个人身份资料信息真实、完整、有效，依据法律规定和必备条款约定对所提供的信息承担相应的法律责任，未进行实名认证的用户部分</b><b>杭州西米</b><b>帐号功能将可能被限制。</b><b>杭州西米</b><b>应当为用户提供帐号注册证明、原始注册信息等必要的协助和支持，并根据需要向有关行政机关和司法机关提供相关证据信息资料。</b><br />    <span>（</span>2）所有由用户提供的个人注册信息将可能被杭州西米用来作为认定杭州西米帐号的关联性以及辨别用户身份的唯一依据。用户同意按照杭州西米的要求，随时提供该等信息的证明材料，以便杭州西米核实用户身份。<br />    <b><span>（</span>3）如果用户提供给</b><b>杭州西米</b><b>的信息不准确，或不真实，或非法无效，或已变更而未及时更新，或有任何误导、伪造、隐瞒之嫌，</b><b>杭州西米</b><b>有权中止或终止该用户使用</b><b>杭州西米</b><b>的任何服务，直至用户提供符合要求的信息。</b><b>杭州西米</b><b>采取中止措施应当通知用户并告知中止期间，中止期间应该是合理的，中止期间届满且用户已按照补全相关信息的，</b><b>杭州西米</b><b>应当及时恢复对用户的服务。</b><br />    <span>（</span>4）杭州西米有权审查用户注册所提供的身份信息是否真实、有效，并应积极地采取技术与管理等合理措施保障杭州西米帐号的安全、有效；用户有义务妥善保管其帐号及密码，并正确、安全地使用其帐号及密码。任何一方未尽上述义务导致帐号密码遗失、帐号被盗等情形而给对方或他人的权利造成损害的，应当承担由此产生的法律责任。<br />    3.2. 查询注册信息<br />    用户有权随时登录杭州西米<span>官方网站，在</span>“用户中心”页面访问和查阅用户注册信息及个人信息。<br />    3.3. 修改注册信息<br />    用户有权随时通过登录杭州西米<span>官方网站，在</span>“用户中心”页面，或通过杭州西米公布的其他途径，更新或修改用户申请注册时所提供的信息。杭州西米应当及时、有效地为其提供该项服务。但是，<b>用户在注册</b><b>杭州西米</b><b>帐号时（或注册后补充信息时）填写的真实姓名、证件号码，以及</b><b>杭州西米</b><b>帐号名称本身，在帐号注册成功后（或补充信息后）如无特殊原因将无法进行修改，请用户慎重填写各类注册信息。</b><br />    <b>3.4. 用户同意，与其</b><b>杭州西米</b><b>帐号相关的一切资料、数据和记录（包括但不限于登录记录、登录后行为记录、点卡信息等）均以</b><b>杭州西米</b><b>系统记录的数据为准。</b><br />    <b>四、信息披露与保护</b><br />    4.1. 本协议第三条所描述的注册信息，以及用户在使用产品和服务时存储在杭州西米控制范围内的非公开信息（以下合称<b>“用户信息”</b>），应按照本条约定进行披露及保护。<br />    4.2. 为了向用户提供更好的产品和服务，在用户自愿选择使用杭州西米的产品和服务的情况下，或者明示同意提供信息的情况下，杭州西米可能会收集用户信息，并可能对这些信息进行分析和整合。在用户使用杭州西米的产品和服务时，服务器可能会自动记录部分用户信息，这些信息都将成为杭州西米商业秘密的一部分。<br />    4.3. 保护用户（特别是未成年人用户）的隐私是杭州西米的一项基本原则。杭州西米一贯积极地采取技术与管理等方面的合理措施保障用户信息的安全、保密。<br />    4.4. 除本条所列下述情形之外，杭州西米保证不对外公开或向第三方披露、提供用户信息。但以下情形除外：<br />    <span>（</span>1）用户（或者用户的监护人）要求或同意杭州西米披露用户信息；<br />    <span>（</span>2）有关法律法规要求杭州西米披露用户信息；<br />    <span>（</span>3）司法机关或行政机关基于法定程序要求杭州西米披露用户信息；<br />    <span>（</span>4）为保护杭州西米的合法权益（知识产权和其他权益）向用户提起诉讼或者仲裁时需要披露用户信息；<br />    <span>（</span>5）在紧急情况下为保护其他用户和社会公众的利益，需要披露用户信息；<br />    <span>（</span>6）根据本协议其他条款的规定，杭州西米游戏认为确有必要披露用户信息的其他情况。<br />    4.5. 为了向用户正常地提供产品和服务，杭州西米可能需要向杭州西米的技术服务商、杭州西米的关联公司或其他第三方传送部分用户信息，在这些第三方承诺其具有合法经营资质并将承担至少与杭州西米同等的保密义务的前提下，杭州西米将向这些第三方传送用户信息，用户对此予以理解和同意。<br />    4.6. 在不透露单个用户隐私资料的前提下，杭州西米有权对整个用户信息数据库进行技术分析并对已进行分析、整理后的用户数据库进行商业上的利用。<br />    4.7. 杭州西米将采取行业内通用的、合理可行的方式保护用户的个人信息的安全。杭州西米使用通常可以获得的安全技术和程序来保护用户的个人信息不被未经授权地访问、使用或泄漏，包括但不限于：防火墙和数据备份措施；数据中心的访问权限限制；对移动终端的识别性信息进行加密处理等。<br />    <b>五、用户的基本权利</b><br />    5.1. 用户可以根据本协议以及杭州西米不时公布和变更的其他规则使用杭州西米提供的产品和服务。<br />    5.2. 用户可以自愿选择通过手机绑定杭州西米提供的页面，从而在第一时间获得杭州西米提供的游戏活动、优惠信息等内容。<br />    5.3. 用户有权在使用杭州西米提供的产品和服务期间监督杭州西米及杭州西米的工作人员是否按照杭州西米所公布的规则向用户提供产品和服务，也可以随时向杭州西米提出与产品和服务有关的意见和建议。<br />    5.4. 如果用户不同意本协议条款，或对杭州西米后续修改、更新的条款有异议，或对杭州西米所提供的产品和服务不满意，用户可以随时选择停止使用杭州西米的产品和服务。<b>如果用户选择停止使用</b><b>杭州西米</b><b>的产品和服务，</b><b>杭州西米</b><b>不再对用户承担任何义务和责任。</b><br />    <b>六、用户行为守则</b><br />    6.1. 用户同意按照包括本协议在内的、杭州西米不时发布或变更的各类规则规范自己的行为，从而接受并使用杭州西米的产品和服务。用户对登录后其所持帐号产生的行为依法享有权利和承担责任。<b><span>用户进一步同意，在违反这些规则时，将按照本协议第六条第</span>14款、第15款、第十四条及其他相关条款的规定承担违规后果和违约责任。</b><br />    6.2. 用户在使用杭州西米帐号期间，须遵守与互联网信息发布相关的法律、法规及通常适用的互联网一般道德和礼仪的规范，用户将自行承担用户所发布的信息内容产生的全部责任。用户发布的各类信息，不得包含以下内容：<br />    <span>（</span>1）违背宪法所确定的基本原则的；<br />    <span>（</span>2）危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；<br />    <span>（</span>3）损害国家荣誉和利益的；<br />    <span>（</span>4）煽动民族仇恨、民族歧视，破坏民族团结的；<br />    <span>（</span>5）破坏国家宗教政策，宣扬邪教和封建迷信的；<br />    <span>（</span>6）散布谣言，扰乱社会秩序，破坏社会稳定的；<br />    <span>（</span>7）传播淫秽、色情、赌博、暴力、凶杀、恐怖信息或者教唆犯罪的；<br />    <span>（</span>8）侮辱、诽谤或恶意用言语攻击他人，侵害他人合法权益的；<br />    <span>（</span>9）侵犯任何第三者的知识产权，版权或公众／私人权利的；<br />    <span>（</span>10）违反社会公德、人文道德、风俗习惯的；<br />    <span>（</span>11）破坏游戏正常秩序的；<br />    <span>（</span>12）含有法律、行政法规禁止的其他内容的。<br />    6.3. 用户的杭州西米帐号名称及游戏中的人物角色、帮派等名称应当遵守合法合规、健康文明的原则，不允许使用包括但不限于涉及种族、宗教、政治、国家领导人、政权、主权、领土、淫秽、低俗、诽谤、恐吓、欺诈性的、攻击性的、胁迫性的、侮辱性的、可能引起误会的、可能具有恶意指向性的、明显违背事实的、违禁物品、违禁药品等内容的名称。<br />    6.4. 用户应当对自己在游戏中的言行负责，尤其不得：<br />    <span>（</span>1）通过任何方式、行为散布或传播低俗、不雅、违背公序良俗的信息；<br />    <span>（</span>2）通过任何方式、行为冒充平台或游戏系统向其他用户散布或传播虚假信息；<br />    <span>（</span>3）通过任何方式或途径引起纷争；<br />    <span>（</span>4）通过任何方式、行为散布或传播、使用私服、木马、外挂、病毒及此类信息；<br />    <span>（</span>5）通过任何方式、行为散布或传播代练的信息；<br />    <span>（</span>6）通过任何方式、行为传播或进行游戏帐号、虚拟货币、虚拟道具的在非杭州西米<span>游戏认可的平台上进行交易（又称</span>“线下交易”）；<br />    <span>（</span>7）大量传播相同的、类似的短语或无意义的文字，或者任何与杭州西米平台及游戏无关的信息；<br />    <span>（</span>8）宣扬、鼓动任何游戏虚拟世界之外的暴力行为；<br />    <span>（</span>9）泄露其它用户、非用户或杭州西米平台相关的任何游戏世界和现实世界信息；<br />    <span>（</span>10）宣传或发布违法信息、违反社会公德的信息，或不利于精神文明建设的信息，包括但不限于色情、赌博、邪教、恐怖主义等内容；<br />    <span>（</span>11）通过任何方式、行为散布任何种类的广告信息及广告链接；<br />    <span>（</span>12）发布诋毁或攻击杭州西米的言论或信息；<br />    <span>（</span>13）其他不符合法律法规、社会公德或游戏规则的言论或行为。<br />    6.5. 用户不得干扰、阻碍杭州西米正常地提供产品和服务，尤其不得：<br />    <span>（</span>1）攻击、侵入杭州西米的网站服务器或使网站服务器过载；<br />    <span>（</span>2）破解、修改杭州西米提供的客户端程序；<br />    <span>（</span>3）攻击、侵入杭州西米的游戏服务器或游戏服务器端程序或使游戏服务器过载；<br />    <span>（</span>4）不合理地干扰或阻碍他人使用杭州西米所提供的产品和服务；<br />    <span>（</span>5）利用程序的漏洞和错误（Bug）破坏游戏的正常进行或传播该漏洞或错误（Bug）；<br />    <span>（</span>6）直接或间接利用游戏Bug（包括游戏系统、程序、设定等方面存在的漏洞或不合理的现象）、程序漏洞、非法手段获利或扰乱游戏秩序、违反游戏规则，或者通过非法手段利用游戏Bug、程序漏洞修改游戏数据以达到个人目的；<br />    <span>（</span>7）制作、使用、发布、传播任何形式的妨碍游戏公平性的辅助工具或程序（指用于在游戏中获取优势，但不属于杭州西米平台或各游戏软件的一部分的任何文件或程序），包括作弊性质的外挂以及相关辅助性质的外挂等（包括但不限于自动打怪、自动练级、自动吃药、自动完成任务、加速性质或超出游戏设定范围等操作）；<br />    <span>（</span>8）擅自修改客户端程序，使之改变或者新增或者减少杭州西米平台所预先设定的功能，或者导致客户端向服务器发送的数据出现异常的一切行为；<br />    <span>（</span>9）<b><span>直接或间接利用渠道漏洞</span>/规则进行恶意充值、恶意申请退款、恶意申诉以骗取游戏虚拟货币后取回充值金额等相关行为，否则</b><b>杭州西米</b><b><span>在发现或者合理怀疑用户存在相关行为时，有权视情况按照本协议第</span>6.13款、第6.14款、第十四条及其他相关条款的规定处理。</b><br />    <span>（</span>10）在杭州西米提供的游戏或服务内恶意拉人或从事任何不正当竞争行为，包括但不限于恶意发布与杭州西米<span>相关运营游戏开服信息、开服活动、以及一切开服入驻奖励政策、渠道充值溢价返利、或攻击性及诽谤性质言论或使用含有淫秽、色情、赌博、暴力、迷信等不健康</span>/违法内容的文字、图片、音频、视频等方式诱导其他用户或利用公会将杭州西米原有用户引导入其他非杭州西米运营的游戏或提供的服务内。<br />    6.6. 用户不得扰乱游戏秩序，尤其不得：<br />    <span>（</span>1）长时间停留在特殊地点或敏感地区（包括但不限于活动报名人、“移民使者”、传送人、传送点等处），干扰其他用户游戏；<br />    <span>（</span>2）进行恶意PK、清场、敲诈、勒索等行为；<br />    <span>（</span>3）扬言进行或煽动其他用户或非用户参与非正常游戏内容的行为（包括但不限于游行、聚众闹事等）；<br />    <span>（</span>4）以相似昵称的人物冒充他人好友、冒充NPC或官方角色等方式在游戏内外进行欺诈。<br />    6.7. 用户可以与游戏管理员（以下称为<b>“GM”</b><span>）进行交流，但在与</span>GM交流时，不得做出以下行为：<br />    <span>（</span>1）冒充系统或GM；<br />    <span>（</span>2）欺骗或试图欺骗GM，包括但不限于误导GM、拒绝提供信息、提供虚假信息以及任何试图“诈骗”GM的行为；<br />    <span>（</span>3）违反或忽视GM做出的提示。在游戏中，为了确保大多数用户的共同利益，维护正常的游戏秩序，GM可能会提示用户执行某些操作或停止执行某些操作，用户不得忽视或阻挠该项工作的进行；<br />    <span>（</span>4）干扰GM工作。干扰GM工作包括但不限于：向GM索取任何游戏虚拟物品（包括但不限于虚拟货币、游戏道具等），频繁呼叫GM或发送无实质性内容的请求，反复向GM发送已解答或解决问题的帮助请求；<br />    <span>（</span>5）辱骂、威胁或恶意攻击GM。<br />    6.8. 用户必须保管好自己的帐号和密码，由于用户的原因导致帐号和密码泄密而造成的后果均将由用户自行承担。<br />    <b>6.9. 牟取不正当利益行为处理规则</b><br />    <b>用户承诺不以营利为目的从事游戏行为或交易虚拟物品，任何以营利为目的从事游戏行为或交易虚拟物品的情形将被视为牟取不正当利益，包括但不限于用户：</b><br />    <b>(1)注册多个</b><b>杭州西米</b><b><span>帐号和</span>/或游戏角色ID，以营利为目的进行游戏行为；</b><br />    <b>(2)从事游戏内单一或系列产出玩法，将获得的虚拟物品出售获利；</b><br />    <b>(3)利用不同服务器的虚拟物品价值差异，在不同服务器买卖虚拟物品获利；</b><br />    <b>(4)充当游戏帐号、虚拟物品交易中介收取费用获利；</b><br />    <b>(5)在非</b><b>杭州西米</b><b>公司提供或认可的交易平台上交易</b><b>杭州西米</b><b>帐号或虚拟物品获利；</b><br />    <b>(6)将游戏内获得的虚拟物品用于出售获利而不注重本身角色实力的提升，角色多个技能、修炼、装备、召唤兽水平与角色等级相差较大的；</b><br />    <b>(7)利用游戏行为和游戏内容组织或参与赌博、实施或参与实施盗窃他人财产或虚拟物品等涉嫌违法犯罪行为的；</b><br />    <b>(8)其他任何不以正常的游戏娱乐互动需要为目的的游戏内牟利行为。</b><br />    6.10. 未经杭州西米允许，用户不得利用杭州西米提供的产品和服务从事以下活动：<br />    <span>（</span>1）擅自进入杭州西米计算机信息网络系统或者使用计算机信息网络系统资源的；<br />    <span>（</span>2）擅自对计算机信息网络功能进行删除、修改或者增加的；<br />    <span>（</span>3）擅自对进入计算机信息网络中存储、处理或者传输的数据和应用程序进行删除、修改或者增加的；<br />    <span>（</span>4）故意制作、传播计算机病毒等破坏性程序的；<br />    <span>（</span>5）其他危害计算机信息网络安全的行为。<br />    6.11. 用户同意以游戏程序中的监测数据作为判断用户是否有通过使用外挂程序等方法进行的游戏作弊行为的依据。<br />    6.12. 如果杭州西米发现用户行为或者数据异常，可以观察及记录该用户的操作行为，并以观察和记录的结果作为判断用户是否实施了违反本协议用户行为守则的依据。<br />    <b>杭州西米</b><b>积极保护用户的帐号、虚拟物品及虚拟货币的安全，为此，</b><b>杭州西米</b><b>对盗号及盗号相关行为展开严厉的打击。</b><b>杭州西米</b><b><span>发现或者怀疑存在包括但不限于以下的盗号及盗号相关行为时，有权视情况按照本协议第</span>6.13款、第6.14款、第十四条及其他相关条款的规定处理，同时，</b><b>杭州西米</b><b><span>保留进一步追诉的权利：（</span>1）盗取帐号；（2）盗取虚拟物品；（3）盗取虚拟货币；（4）盗取帐号或/及密码；（5）异常IP下的物品转移；（6）其他盗号及盗号相关行为。为了维护游戏的公平与秩序，即使用户没有主动的参与盗号，但是用户的物品来源于盗号或者盗号相关行为的，</b><b>杭州西米</b><b>也有权自行判断并回收、冻结涉及盗号的物品及帐号。用户应该配合</b><b>杭州西米</b><b>对盗号及盗号相关行为的调查。用户应该自觉维护游戏的秩序，用户在发现</b><b>杭州西米</b><b>平台或游戏内存在盗号或盗号相关行为时，有权向</b><b>杭州西米</b><b>举报，但举报的内容应当真实并应提供相应证明。</b><b>杭州西米</b><b><span>发现或者怀疑存在虚假的盗号举报时，有权视情况按照本协议第</span>6.13款、第6.14款、第十四条及其他相关条款的规定处理。</b><br />    <b>6.13. 若用户实施违反本条所述的任一行为，</b><b>杭州西米</b><b>有权视行为的严重程度，向该用户采取以下一项或多项处罚措施，该用户应承担该等不利后果：</b><br />    <b><span>（</span>1）警告：警告是针对轻微违反游戏政策而做出的教育导向，它是用于正常管理游戏运行的一种方式。</b><br />    <b><span>（</span>2）禁言：关闭违规用户的部分或全部聊天频道，强制暂停违规用户角色的线上对话功能，使该角色无法与其他用户对话，直到此次处罚到期或取消。</b><br />    <b><span>（</span>3）强制离线：强制让违规用户离开当前游戏，结束该用户当前游戏程序的执行。</b><br />    <b><span>（</span>4）封停帐号：暂停或永久终止违规用户使用</b><b>杭州西米</b><b>帐号登录某款游戏的权利。</b><br />    <b><span>（</span>5）暂时隔离：将违规用户的游戏角色转移至特殊游戏场景，限制其局部游戏操作，直到此次处罚到期或取消。</b><br />    <b><span>（</span>6）删除档案：将违规用户在某个游戏世界中的人物档案删除，不让该人物再出现在游戏世界。</b><br />    <b><span>（</span>7）删除帐号：永久终止违规用户通过</b><b>杭州西米</b><b>帐号登录</b><b>杭州西米</b><b>平台的权利，包括但不限于用户注册信息、角色信息、等级物品、游戏货币等游戏数据库中的全部数据都将被永久封禁。</b><br />    <b><span>（</span>8）收回游戏虚拟物品：对于违规用户因欺诈或其他违规行为而获取的游戏虚拟物品，包括但不限于游戏虚拟货币、虚拟物品，进行收回。</b><br />    <b><span>（</span>9）修改名称：强制修改违规用户论坛昵称、游戏人物或帮派等的名称。</b><br />    <b><span>（</span>10）解散组织：解散违规用户成立的帮派、公会等组织。</b><br />    <b><span>（</span>11）倒扣数值：针对游戏角色游戏数值进行扣除，包括但不限于游戏角色等级、金钱、经验等。</b><br />    <b><span>（</span>12）封禁IP：暂时或永久禁止违规用户在某一异常IP登录某款游戏的某个服务器。</b><br />    <b><span>（</span>13）撤销交易：撤销用户通过</b><b>杭州西米</b><b><span>授权或指定的交易平台</span>/网站进行的违规交易，将交易双方付出的游戏虚拟物品予以还原。</b><br />    <b><span>（</span>14）交易限制：暂时冻结用户在</b><b>杭州西米</b><b><span>授权</span>/指定的交易平台中进行的违规交易所涉及的游戏虚拟物品或游戏账号，并持续考察用户在指定期限内的游戏内行为。如指定期限内其无再次违规的，到期将自动解冻相应的游戏虚拟物品或游戏账号；如指定期限内用户再次违规的，或在</b><b>杭州西米</b><b>认定违规行为存在时，</b><b>杭州西米</b><b><span>有权扣除用户游戏账号及</span>/或游戏虚物品。</b><br />    <b><span>（</span>15）承担法律责任：违规用户的不当行为对他人或者</b><b>杭州西米</b><b>造成损害，或者与现行法律规定相违背的，违规用户应依法承担相应的民事、行政和／或刑事责任，例如，用户在进行游戏过程中侵犯第三方知识产权或其他权利而导致被权利人索赔的，由用户直接承担责任。</b><br />    <b>6.14．若用户实施违反本条所述的行为，</b><b>杭州西米</b><b>还有权要求违规用户向</b><b>杭州西米</b><b>承担违约责任，包括但不限于恢复原状，消除影响，对给</b><b>杭州西米</b><b>造成的直接及间接损失或额外的成本支出进行赔偿，以及在</b><b>杭州西米</b><b>首先承担了因违规用户行为导致的行政处罚或侵权损害赔偿责任后，</b><b>杭州西米</b><b>可以向违规用户追偿。</b><br />    <b>6.15. 用户只可在游戏内或者通过</b><b>杭州西米</b><b><span>授权</span>/指定的交易平台（如有，</b><b>杭州西米</b><b>将通过官网公告、游戏内公告、手机短信或其他可明确通知用户的方式进行通知）进行游戏虚拟物品或游戏账号交易。对于用户在任何非</b><b>杭州西米</b><b>事先认可的平台进行交易的相关行为（包括但不限于用户通过第三方进行充值或游戏内虚拟物品的购买、游戏账户的买卖等），</b><b>杭州西米</b><b>将予以严厉打击和处罚。一经查证属实，</b><b>杭州西米</b><b>有权视具体情况根据本协议采取一种或多种处理措施，情节严重的，</b><b>杭州西米</b><b>保留追究用户法律责任的权利。</b><br />    <b>七、游戏管理</b><br />    7.1. 游戏管理员<br />    <span>（</span>1）游戏管理员即GM（Game Master），指维护和管理游戏虚拟世界秩序的杭州西米在线工作人员。<br />    <span>（</span>2）GM不会干预游戏的正常秩序，不会以任何方式索要用户的个人资料和密码，不负责解决用户之间的私人纠纷或回答游戏的攻略、诀窍等问题。<br />    <span>（</span>3）用户在游戏中应当尊重、理解并配合GM的工作，如有任何意见，应通过专用信箱向客户服务中心申诉和举报。<br />    7.2. 游戏信息转移。杭州西米有权根据产品和服务的提供状况，安排拆分或合并游戏服务器。<b>用户知晓并同意，</b><b>杭州西米</b><b>有权根据自身经营安排将用户在游戏中的人物信息、角色档案转移到其它游戏服务器。此等转移行为并不影响用户继续使用</b><b>杭州西米</b><b>游戏服务，因此不属于违约情形。</b><br />    7.3. 家长监护系统。杭州西米<span>遵从国家政策及法律法规，在游戏中开设</span>“未成年人家长监护系统”，若父母（监护人）同意未成年人（尤其是十岁以下子女）使用产品和服务，必须以父母（监护人）名义申请注册杭州西米<span>帐号。在使用产品和服务时，父母（监护人）应以监护人身份判断产品和服务是否适合未成年人。如果用户未满</span>18周岁（或杭州西米<span>无法识别用户的年龄），则用户将受到</span>“未成年人家长监护系统”的约束。<b>在监护人提供充分证据证明账号的实际使用人为未成年人时，</b><b>杭州西米</b><b>将有权根据有关规则以及监护人的要求，对用户创建或使用</b><b>杭州西米</b><b>帐号关联的游戏帐号进行限制，包括但不限于临时或永久冻结帐号，部分或者全部终止提供</b><b>杭州西米</b><b>各项产品和服务。</b><br />    7.4. 防沉迷系统<br />    <span>（</span>1）如果用户未满法定年龄（或杭州西米<span>无法识别用户的年龄，例如未填写实名身份信息被系统默认为未成年用户的），则用户在游戏内的活动将受到</span>“游戏防沉迷系统”监测；如果用户拥有一个以上杭州西米<span>帐号，则该</span>“游戏防沉迷系统”将同时适用于该用户的所有杭州西米帐号；<br />    <span>（</span>2）“游戏防沉迷系统”通过按照连续游戏时间来逐级扣减游戏内收益的方式，对用户长时间连续游戏的行为进行规制；<br /> ';
        g += '<b><span>（</span>3）用户需提供真实完整的信息以便</b><b>杭州西米</b><b>识别用户的身份并向有关部门提交实名认证信息，如因提供的资料不真实而产生的后果由用户自行承担。</b><br />    7.5. 在现有的技术条件下，杭州西米<span>将尽合理的商业努力并根据有关监管部门的要求开发并维护</span>“未成年人家长监护系统”、“游戏防沉迷系统”与实名认证系统，按“现状”提供给用户使用。由于技术不可避免的局限性以及系统运作各环节受外界的影响，杭州西米不保证各个系统不存在任何漏洞，不保证各系统能随时正常运作，亦不保证监护或认证效果完全满足用户的需求。杭州西米不提供任何适用法律明确规定之外的明示或默示担保，并不对此承担任何责任。<br />    <b>八、资费政策</b><br />    8.1. 杭州西米产品和服务的收费信息以及有关的资费标准、收费方式、购买方式及其他有关资费政策的信息，在杭州西米相关平台或游戏网站（包括但不限于杭州西米官网和相应游戏官方网站等网站）上作出说明。<br />    8.2. 杭州西米有权决定杭州西米所提供的产品和服务的资费标准和收费方式，杭州西米可能会就不同的产品和服务制定不同的资费标准和收费方式，也可能按照杭州西米所提供的产品和服务的不同阶段确定不同的资费标准和收费方式。另外，杭州西米也可能不时地修改杭州西米的资费政策。杭州西米会将有关产品和服务的收费信息以及与该产品和服务有关的资费标准、收费方式、购买方式或其他有关资费政策的信息放置在该产品和服务相关网页的显著位置。<br />    8.3. 对于杭州西米的收费产品和服务，用户应该按照杭州西米确定的资费政策购买杭州西米的产品和服务。<b>如果用户未按</b><b>杭州西米</b><b>确定的资费政策购买</b><b>杭州西米</b><b>的产品和服务，</b><b>杭州西米</b><b>可以立即停止向用户提供该产品和服务。</b><br />    <b>8.4. 在用户提交相应证据材料证明确因</b><b>杭州西米</b><b><span>的原因导致用户支付的资费未能正常完成充值</span>/兑换的，</b><b>杭州西米</b><b>应当向用户退款；如退款涉及信用卡、手机等支付渠道费用的，</b><b>杭州西米</b><b>有权在退款中予以扣除。除非法律另有明文规定，否则用户不得要求</b><b>杭州西米</b><b><span>返还用户已经支付并完成充值</span>/兑换的任何资费。</b><b>杭州西米</b><b>在产品和服务提供过程中赠送的充值金额、虚拟货币、虚拟道具等，均不予任何形式的退款或变现。</b><br />    <b>九、虚拟物品</b><br />    <b>9.1. </b><b>杭州西米</b><b>（包括但不限于游戏平台、游戏、论坛）所提供的各种虚拟物品，不限于金币、元宝、银两、道具、装备等，其所有权归</b><b>杭州西米</b><b><span>或其关联方、合作方所有。用户只能在合乎法律和游戏规则的情况下拥有对虚拟物品的使用权。用户一经购买了虚拟道具的使用权，则视为已经进入消费过程，用户完成充值、购买、领取或兑换之日起</span>60日为虚拟物品的有效使用期，用户有权在有效使用期限内对已充值、已购买、已领取或已兑换的虚拟物品进行使用或体验。有效使用期期满后，</b><b>杭州西米</b><b>可以随时收回或终止相关虚拟物品的使用权；如</b><b>杭州西米</b><b>没有立即收回或终止虚拟物品使用权的，用户可以继续使用相关虚拟物品，但</b><b>杭州西米</b><b>对此不提供任何形式的使用和体验保证，且</b><b>杭州西米</b><b>亦有权随时收回或终止该虚拟物品的使用权。</b><br />    <b>9.2. </b><b>杭州西米</b><b>提供的服务或产品中的各类虚拟物品，如对使用期限无特殊标识的，均默认用户可在获得使用权后在有效使用期限内使用；如对使用期限有特殊标识的，则其使用期限以特殊标识的期限为准（但最迟不超过</b><b>杭州西米</b><b>提供相应服务或游戏终止运营的时间）。超过有效使用期限或游戏终止运营的，</b><b>杭州西米</b><b>有权在合理的期限内通知用户后随时收回使用权（该使用期限不因任何原因而中断、中止）。</b><br />    <b>9.3. 除服务器大规模断线外，由于地方网络问题、用户个人操作问题等非可归责于</b><b>杭州西米</b><b>的原因导致游戏角色被删或回档、虚拟物品或金钱的损失，</b><b>杭州西米</b><b>无需向用户承担任何责任。</b><br />    <b>9.4. 鉴于网上交易的复杂性，</b><b>杭州西米</b><b>不支持用户自行进行虚拟物品的线下交易及线下交易相关行为（包括但不限于参与线下交易、协助线下交易者操作及转移游戏虚拟物品等一系列行为），并且不保护用户自行进行线下交易产生的任何交易结果，用户之间自行或通过非</b><b>杭州西米</b><b>授权的第三方平台进行线下交易行为发生的任何问题、纠纷，包括但不限于被虚假交易信息诈骗金钱或者游戏虚拟物品的，均由用户自行承担相关风险及结果，</b><b>杭州西米</b><b>不负责赔偿或追回因受骗造成的损失。</b><br />    <b>9.5. </b><b>杭州西米</b><b>不支持线下交易，不认可用户线下交易所产生的交易结果，用户通过非</b><b>杭州西米</b><b>指定或</b><b>杭州西米</b><b><span>授权的平台</span>/网站进行线下交易所获得的游戏虚拟物品将被认定为来源不符合游戏规则；</b><b>杭州西米</b><b>有权按照本协议第六条的约定，对线下交易及线下交易相关行为涉及的游戏虚拟物品、游戏角色与</b><b>杭州西米</b><b>帐号采取相应的措施。</b><br />    <b>十、服务方式、内容的变动与个人资料转移</b><br />    10.1. 杭州西米将尽力持续地向用户提供产品和服务，但是在适用法律许可的最大范围内，并不排除杭州西米可能会停止提供任何产品和服务的可能性，也不排除任何改变游戏服务或其他网络服务的服务方式、服务内容的可能性。<br />    10.2. 为增加并丰富杭州西米提供的游戏及其他网络服务的内容，游戏和游戏平台在运行时可能不定期更新并调整其包含的功能。在游戏和游戏平台更新后，一切游戏和游戏平台内的操作、内容、设定，将以游戏、游戏官网或杭州西米官网中的公告内容为准。<br />    10.3. 如果杭州西米停止提供某一项产品和服务，或改变某一项产品和服务的方式或内容，杭州西米将会事先通知用户，并尽力寻找适当的服务提供者以接替杭州西米继续提供产品和服务。<br />    10.4. 在本条第3款所述情况下且在适用法律许可的最大范围内，杭州西米可能会将用户的个人资料（包括有关的帐号、密码信息及个人资料）转移给该继续提供服务的一方，用户在此同意杭州西米有权做此转移和提供，并且同意在杭州西米完成转移和提供之后，杭州西米将不再对用户原有资料承担任何义务和责任。但是，杭州西米并不保证杭州西米届时一定能够找到适当的服务提供者或服务方式以代替杭州西米继续提供产品和服务，也不保证杭州西米找到的服务提供者所提供的产品和服务或者改变的游戏方式能够满足用户的要求。<br />    <b>10.5. 用户可授权</b><b>杭州西米</b><b><span>指定或授权的交易平台</span>/网站向</b><b>杭州西米</b><b><span>申请查询或操作用户游戏账号，经交易平台</span>/网站的申请，</b><b>杭州西米</b><b>可以对用户账号进行查询、冻结、转移、更新、更改或解封等操作，并将相关操作内容及结果反馈给交易平台。但用户知悉并确认，</b><b>杭州西米</b><b>依据交易平台的申请进行任何操作行为或产生的任何操作结果不承担责任。</b><br />    <b>十一、服务中断或终止</b><br />    11.1. 如发生下列任何一种情形，杭州西米有权随时中断或终止向用户提供本协议项下的游戏服务和其他网络服务，对于因而产生的不便和损失，<b>杭州西米</b><b>不承担任何责任：</b><br />    <span>（</span>1）用户提供的个人资料不真实；<br />    <span>（</span>2）用户违反本协议中规定的用户行为准则。<br />    <b>11.2. 用户清楚知悉</b><b>杭州西米</b><b>帐号存在有效期（有效期以</b><b>杭州西米</b><b>公司对外公布为准），并同意不定时登录</b><b>杭州西米</b><b>帐号以延续其有效期，用户清楚知悉</b><b>杭州西米</b><b>有权对超过有效期的</b><b>杭州西米</b><b>帐号进行注销并删除该帐号中的信息内容。</b><br />    <b><span>（</span>1）用户在注册</b><b>杭州西米</b><b>帐号之日起，</b><b><span>若在</span>6个月内</b><b>该帐号无登录或使用记录，且该帐号无任何充值记录的，</b><b>杭州西米</b><b>有权注销该帐号并删除该帐号中的信息内容。</b><br />    <b><span>（</span>2）</b><b>杭州西米</b><b><span>所提供的不同产品和服务注销帐户</span>/角色的其他条件，详情请参见各个产品和服务的具体规定，或相关产品和服务的官方网站上的具体规定或公告。</b><br />    11.3. 为了保障游戏及游戏平台网站和服务器的正常运行，杭州西米需要定期或不定期对游戏及游戏平台网站和服务器进行停机维护，或针对突发事件进行紧急停机维护。<b>因上述情况而造成的正常服务中断、中止，用户予以理解并同意，</b><b>杭州西米</b><b>应尽力避免服务中断并将中断时间限制在最短时间内。</b><br />    <b>11.4. 在适用法律许可的最大范围内，发生下列情形之一时，为了游戏网站和服务器的持续稳定运行，</b><b>杭州西米</b><b>有权不经提前通知，终止或中断游戏服务器所提供的全部或部分服务，对因此而产生的不便或损失，</b><b>杭州西米</b><b>对用户或第三人均不承担任何责任：</b><br />    <b><span>（</span>1）定期检查或施工，更新软硬件等；</b><br />    <b><span>（</span>2）服务器遭受入侵或损害，无法正常运作；</b><br />    <b><span>（</span>3）突发性的软硬件设备与电子通信设备故障；</b><br />    <b><span>（</span>4）网络提供商线路或其他故障；</b><br />    <b><span>（</span>5）在紧急情况下依照法律的规定或为用户及第三者之人身安全；</b><br />    <b><span>（</span>6）第三方原因或其他不可抗力的情形。</b><br />    11.5. 在适用法律许可的最大范围内，不管产品和服务由于任何原因终止，在杭州西米发布终止运营公告后，用户应在公告期内采取相应的措施自行处理游戏及游戏平台上的虚拟物品。<b>用户在</b><b>杭州西米</b><b>发布终止运营公告后仍继续操作游戏、充值并购买游戏服务的，则用户自行承担因公告期满后游戏终止运营对前述操作可能产生的损失及后果。产品和服务终止运营后，用户不得因服务终止而要求</b><b>杭州西米</b><b>承担除用户已经兑换但尚未使用的游戏虚拟货币以外任何形式的赔偿或补偿责任，</b>包括但不限于因不再能继续使用游戏帐号、游戏内虚拟物品等而要求的赔偿。<br />    <b>十二、有限保证及免责声明</b><br />    12.1. 对于杭州西米的产品和服务，杭州西米仅作本条所述有限保证，该有限保证取代任何文档、包装或其他资料中的任何其他明示或默示的保证（若有）。<br />    12.2. 杭州西米<span>仅以</span>“现有状况且包含所有错误”的形式提供相关的产品、软件或程序及任何支持服务，并仅保证：<br />    <span>（</span>1）杭州西米所提供的产品和服务能基本符合杭州西米正式公布的要求；<br />    <span>（</span>2）杭州西米所提供的相关产品和服务基本与杭州西米正式公布的服务承诺相符；<br />    <span>（</span>3）杭州西米仅在法律允许的合理范围内尽力解决杭州西米在提供产品和服务过程中所遇到的问题。<br />';
        g += '<b>12.3. 在适用法律允许的最大范围内，</b><b>杭州西米</b><b>明确表示不提供任何其他类型的保证，不论是明示的或默示的，包括但不限于适销性、适用性、可靠性、准确性、完整性以及无错误的任何默示保证和责任。</b><br />    <b>12.4. 在适用法律允许的最大范围内，</b><b>杭州西米</b><b>并不担保</b><b>杭州西米</b><b>所提供的产品和服务一定能满足用户的要求，也不担保提供的产品和服务不会被中断，并且不担保产品和服务的及时性、安全性及不受干扰，亦不担保无错误发生，以及信息能准确、及时、顺利地传送。</b><br />    12.5. 用户理解并同意：通过杭州西米的产品和服务取得的任何信息、资料，是否信任及使用，完全取决于用户自己，并由用户承担由该等信任及使用带来的系统受损、资料丢失以及其它任何风险。杭州西米对在产品和服务中提及的任何第三方发出的信息（包括但不限于任何商品购物服务、交易进程、招聘信息等），都不作担保。<br />    <b>12.6. 如有系统故障、安全漏洞（Security Vulnerability）、程序缺陷（Bug）、程序出错等问题，</b><b>杭州西米</b><b>有权把游戏的资料还原到一定日期，以维护游戏之平衡。用户知悉并理解，并不会因此要求补偿或赔偿。</b><br />    <b>12.7. 在适用法律允许的最大范围内，</b><b>杭州西米</b><b>对用户因使用</b><b>杭州西米</b><b>的产品和服务引起的任何间接、偶然、意外、特殊或继起的损害（包括但不限于人身伤害、隐私泄漏、用户因未能履行包括诚信或合理谨慎在内的任何责任、用户因过失和因任何其他金钱上的损失或其他损失而造成的损害赔偿）不负责任，这些损害可能来自：用户或他人不正当使用产品和服务、在网上购买商品或类似服务、在非</b><b>杭州西米</b><b>指定或授权的网上进行交易、非法使用服务或用户传送的信息有所变动。</b><br />    12.8. 杭州西米对本协议项下涉及的境内外基础电信运营商的固定及移动通信网络的故障，各类技术缺陷、覆盖范围限制、不可抗力、计算机病毒、黑客攻击、用户所在位置、用户关机、合作方因素、他人故意或过失行为或其他非杭州西米技术能力范围内的原因造成的服务中断、用户发送的数据或短信息的内容丢失、出现乱码、错误接收、无法接收、迟延接收等等，均不承担责任。<br />    <b>12.9. 由于用户个人失误、错误、不当操作、未进行实名制认证等导致的任何后果，由用户自行承担责任，</b><b>杭州西米</b><b>不予任何赔偿或补偿。</b><br />    <b>12.10. 用户在非</b><b>杭州西米</b><b>事先认可的第三方交易平台进行交易，所产生的交易行为、交易结果或与交易平台产生的任何纠纷、法律责任或用户个人账号及虚拟财产风险均与</b><b>杭州西米</b><b>无关。</b><br />    <b>十三、知识产权及信息所有权</b><br />    13.1. 杭州西米向用户通过产品和服务提供的游戏软件（包括具备客户端软件及不具备客户端软件的游戏）、其他软件、信息、作品及资料，其著作权、专利权、商标专用权及其它知识产权，均为杭州西米或其相应权利人所有。除非事先经杭州西米书面合法授权，或法律另有明文规定，任何人不得擅自以任何形式使用、复制、传播、伪造、模仿、修改、改编、翻译、汇编、出版、进行反编译或反汇编等反向工程，否则杭州西米有权立即终止向用户提供产品和服务，并依法追究其知识产权侵权责任，要求用户赔偿杭州西米的一切损失。<br />    13.2. 用户在使用产品和服务过程中产生并储存于杭州西米服务器中的任何数据信息（包括但不限于帐号数据信息、角色数据信息、等级物品数据信息等，但用户的姓名、身份证号、电话号码等个人身份数据信息除外）属于游戏或游戏平台的一部分，由杭州西米所有并进行管理，用户有权在遵守游戏规则的前提下通过杭州西米指定的途径对属于自身帐号的数据信息进行修改、转移、处分。<br />    13.3. 为保证准确及避免争议，本协议涉及到的有关技术方面的数据、信息，用户同意以杭州西米服务器所储存的数据作为判断标准，杭州西米保证该数据的真实性。<br />    <b>十四、损害赔偿</b><br />    <b>用户若违反本协议或可适用的法律法规，导致</b><b>杭州西米</b><b>及</b><b>杭州西米</b><b>的母公司、子公司、其他关联公司、附属机构及其人员，受雇人、代理人及其他一切相关履行辅助人员因此受到损害或支出任何衍生费用（包括但不限于支付上述法律主体须就用户的违约或违法行为所进行的一切辩护或索偿诉讼及相关和解之法律费用），用户应承担补偿相关费用及支付损害赔偿的责任。</b><br />    <b>十五、协议的终止</b><br />    <b>用户应遵守本协议及有关法律法规的规定。</b><b>杭州西米</b><b>有权判断用户是否违反本协议。若</b><b>杭州西米</b><b>认定用户违反本协议或任何法律法规，</b><b>杭州西米</b><b>无需向用户进行事先通知的情况下，立即暂停或终止用户的帐号并删除</b><b>杭州西米</b><b>帐号中的所有相关资料、档案及任何记录，以及限制、停止或取消用户的使用资格。</b><br />    <b>十六、修改和解释权</b><br />    <b>16.1. 为了向用户及时、更好地提供产品和服务，基于对</b><b>杭州西米</b><b>本身、用户及市场状况不断变化的考虑，在法律最大适用范围内，</b><b>杭州西米</b><b>保留随时修改、新增、删除本协议条款的权利。修改、新增、删除本协议条款时，</b><b>杭州西米</b><b>将于官方网站公告修改、新增、删除的事实，而不另行对用户进行个别通知。若用户不同意</b><b>杭州西米</b><b>所修改、新增、删除的内容，可立即停止使用</b><b>杭州西米</b><b>所提供的服务。若用户继续使用</b><b>杭州西米</b><b>提供的服务，则视同用户同意并接受本协议条款修改、新增、删除后的内容，且不得因此而要求任何补偿或赔偿。</b><br />    <b>16.2. 未经</b><b>杭州西米</b><b>事先书面同意，用户不得转让其在本协议项下的权利或义务。</b><b>杭州西米</b><b>有权通过</b><b>杭州西米</b><b>的子公司或其他关联公司行使其在本协议项下的部分或全部权利或履行本协议项下的部分或全部义务。</b><br />    <b>十七、广告与外部链接</b><br />    17.1. 杭州西米的产品和服务中可能包含他人的商业广告或其它活动促销的广告。这些内容由广告商或商品／服务提供者提供并承担相应责任，杭州西米仅提供刊登内容的媒介。用户通过杭州西米或杭州西米所链接的网站所购买的该等服务或商品，其交易行为及法律关系仅存于用户与该等商品或服务的提供者之间，与杭州西米无关，杭州西米无需就用户与该商品或服务的提供者之间所产生的交易行为承担任何法律责任。<br />    17.2. 用户可能在使用杭州西米的产品和服务过程中链接到第三方的站点。第三方的站点不由杭州西米控制，并且杭州西米也不对任何第三方站点的内容、第三方站点包含的任何链接、第三方站点的任何更改或更新负责。杭州西米仅为了提供便利的目的而向用户提供这些到第三方站点的链接，杭州西米所提供的这些链接并不意味着杭州西米认可该第三方站点，不意味着杭州西米担保其真实性、完整性、实时性或可信度。这些个人、公司或组织与杭州西米间亦不存在任何雇用、委任、代理、合伙或其它类似的关系。用户需要检查并遵守该第三方站点的相关规定。<br />    17.3. 用户理解并同意杭州西米通过电子邮件、短信或者其他方式向用户发送产品和服务或其他相关商业信息。<br />    <b>十八、其他约定</b><br />    18.1. 本协议的订立、效力、解释、履行及争议解决适用中华人民共和国法律。本协议的履行地为杭州西米的住所地浙江省杭州市滨江区，如果本协议的任何内容与法律相抵触，应以法律规定为准。<br />    18.2. 本协议的任何条款部分或全部无效的，不影响其它条款的效力。<br />    18.3.杭州西米需要向用户发送的任何通知、公告、声明、提醒等均可以通过杭州西米官网（<a href="http://ximipay.com/index.html">http://ximipay.com/index.html</a>）公告、电子邮件、页面公告、电话或其他杭州西米认为合适的方式进行发送。如本协议内容条款变更、杭州西米<span>提供的产品或服务内容</span>/方式变更、或其他重要通知等，杭州西米将会以上述形式向用户发送通知。通知一经发送即视为送达，用户应及时查看相关内容。</p>    </p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g);
    }
}

MiniSite.loadHideBox = function() {
    var e = $("#payBox");
    var height =document.body.offsetHeight*0.6;
    console.log(height);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5" style="width: 80%;max-width: 500px;">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">杭州西米用户隐私协议</li><i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info" style="text-align:left;padding: 10px;overflow: auto;height: '+height+'px;max-height: 50em;font-size: 1.5rem;">';
        g += '<p>        <p class="p" style="margin-left:0.0000pt;">            <span>最新更新时间：</span>2020<span>年</span> 09  月 23  日        </p>        <p class="p" align="center" style="margin-left:0.0000pt;text-align:center;">            <b>前言</b>        </p>        <p class="p" style="margin-left:0.0000pt;">                    本《用户隐私协议》（以下简称“本协议”）是由您（以下称为“用户”）与杭州西米科技<span>有限公司（以下称为</span>“杭州西米”），就杭州西米在其和／或其关联公司的游戏平台上所提供的产品和服务（包括杭州西米的网站以及杭州西米<span>现在正在提供和将来可能向用户提供的游戏服务和其他网络服务，以下统称为</span>“产品和服务”）所订立的协议。<br />    <b>       用户在使用</b><b>杭州西米</b><b>的产品和服务时，</b><b>杭州西米</b><b>有权依本协议约定收集和使用用户的相关信息。</b><br />     <br />    <b>重要须知：</b><br />    <b>1、本协议应根据中华人民共和国法律解释与管辖并排除其他一切冲突法的适用。本协议订立于</b><b>杭州</b><b>市滨江</b><b>区，有关与用户和</b><b>杭州西米</b><b>之间发生的任何形式的争议均应友好协商解决。协商不能解决的，任一方均有权将争议提交至</b><b>杭州西米</b><b>所在地有管辖权的人民法院提起诉讼解决。</b><br />    <b>2、如果用户不同意本协议的任意条款，则不得注册或（继续）使用</b><b>杭州西米</b><b><span>提供的任何产品和服务。用户一旦点击确认</span>“同意”（或其他具有同样含义的词，如“接受”等）进行注册、开始使用及/或继续使用</b><b>杭州西米</b><b>游戏服务，即表示用户与</b><b>杭州西米</b><b><span>已达成协议，自愿接受本协议的所有内容。此后，用户不得以未阅读</span>/未同意本协议的内容作任何形式的抗辩。</b><br />    <b>3、请注意，</b><b>杭州西米</b><b>有权适时对本协议进行修改与更新，请用户随时留意查看本协议的最新版本。如用户不同意变更后的内容，用户可以选择停止使用</b><b>杭州西米</b><b>的产品或服务；如用户仍然继续使用</b><b>杭州西米</b><b>的产品或服务的，即表示同意</b><b>杭州西米</b><b>按照修订后的《用户隐私协议》收集、使用、储存和分享用户的信息。</b><br />    <b>4、</b><b>杭州西米</b><b>游戏特别提醒用户认真阅读本协议的全部条款，特别是以加粗字体标示的内容，此类条款应在中国法律所允许的范围内最大程度地适用。</b><br />     <br />    <b>一、</b><b>杭州西米</b><b>如何收集和使用用户的个人信息</b><br />    1.1个人信息是指以电子或者其他方式记录的能够单独或者与其他信息结合识别特定自然人身份或者反映特定自然人活动情况的各种信息。<br />    <b>1.2 </b><b>杭州西米</b><b>将通过以下途径收集用户的个人信息：</b><br />    1.2.1用户主动提供的信息：<br />    <span>（</span>1）用户在注册账户或使用杭州西米的服务时，向杭州西米提供的相关个人信息；<br />    <span>（</span>2）用户在使用杭州西米服务时共享的信息；<br />    <span>（</span>3）用户通过杭州西米的客服或参加杭州西米举办的活动时所提交的信息；<br />    1.2.2其他方使用杭州西米服务时所提供的有关用户的共享信息；<br />    1.2.3杭州西米主动获得的信息。用户在使用杭州西米服务时，杭州西米收集、汇总、记录的日志信息、位置信息、设备信息。<br />    1.2.4杭州西米从第三方合作伙伴处获取的信息。即用户使用第三方合作伙伴的账号登录使用杭州西米提供的游戏或服务时，杭州西米根据第三方合作伙伴的规定或用户的授权获得用户共享的信息。<br />    <b>请注意：本协议只适用于</b><b>杭州西米</b><b>提供的服务，不适用于任何第三方提供的服务或第三方的用户信息使用规则，</b><b>杭州西米</b><b>对任何第三方使用用户提供的信息不承担任何责任。请用户仔细阅读第三方合作伙伴服务的用户协议或隐私协议。</b><br />    <b>1.3</b><b>杭州西米</b><b>会基于本协议以下目的，收集和使用的用户以下类型的个人信息。如超过以下目的使用用户的个人信息，</b><b>杭州西米</b><b>将以恰当的方式另行获取用户的授权。</b><br />    <b>1.3.1帮助用户完成注册和登录。</b><br />    用户注册或登录杭州西米<span>服务的，需提供完成账号创建或登录的基本信息，包括姓名、身份证号、护照号、手机号码、电子邮箱、创建的账号名称、密码；用户通过微信、</span>QQ方式注册或登录的，杭州西米<span>还会收集用户的微信号和</span>QQ号。<br />    <b>1.3.2支付结算</b><br />    <b>·</b>用户在支付相关订单时，综合判断用户账户及交易风险、进行身份验证、检测及防范安全事件，杭州西米会在交易过程中收集用户的虚拟财产信息，仅限交易记录、虚拟货币、虚拟交易、游戏类兑换码、口令密码、订单信息。<br />    <b>1.3.3向用户提供产品或服务</b><br />    杭州西米收集和使用用户个人信息是为用户提供服务的必要条件，如缺少相关信息，杭州西米将无法为用户提供服务：<br />    <span>（</span>1）杭州西米会收集用户在使用杭州西米<span>服务时上传</span>/发布的信息，包括头像、名称、文章内容、论坛发布的内容、照片、视频，以便杭州西米更好的为用户提供产品或服务。<br />    <span>（</span>2）在杭州西米部分服务中，如玩家线下活动、派送抽奖奖品，杭州西米可能会收集用户的姓名、收货地址、邮政编码、收货人、联系电话、身份证号、护照。<br />    <span>（</span>3）为向用户提供更契合需求的页面展示和推荐个性化内容、进行用户画像、了解产品适配性、识别账号异常状态，杭州西米可能会收集关于用户使用的服务以及使用方式的信息并将这些信息进行关联，这些信息包括：<br />    <b>日志信息：</b>当用户使用杭州西米的服务时，杭州西米可能会自动收集用户对杭州西米<span>服务的详细使用情况作为日志信息留存。包括：登录账号、登陆时间、登录地址、</span>IP地址、用户搜索查询内容、使用的语言、服务故障信息、引荐网址、用户在使用杭州西米服务时通讯的账户、通讯时间和时长。<br />    <b>设备信息：</b>当用户使用杭州西米的服务时，杭州西米会根据软件安装及使用中授予的具体权限，接收并记录用户所使用的设备相关信息。包括：设备型号、操作系统版本、设备分辨率、设备设置、软硬件特征信息、唯一设备标识符、电池、信号强度。<br />    <b>位置信息：</b>当用户使用杭州西米的服务时，杭州西米<span>可能会通过</span>IP地址、GPS、WiFi、基站、用户账号包含的地址信息、他人共享的照片中包含的地址信息记录用户设备所在的位置信息。包括：定位信息、行程信息、所在地区信息。<br />    <b>请注意，单独的设备信息、日志信息、位置信息是无法识别特定自然人身份的信息。如果</b><b>杭州西米</b><b>将这类非个人信息与其他信息结合用于识别特定自然人身份，或者将其与个人信息结合使用，则在结合使用期间，这类非个人信息将被视为个人信息，除取得用户同意或授权或法律法规另有规定外，</b><b>杭州西米</b><b>会将该类个人信息做匿名化、去标识化处理。</b><br />    <span>（</span>4）提升杭州西米的网站和服务质量。杭州西米将会通过杭州西米<span>客服或者某一项线上</span>/线下的用户调查，杭州西米<span>可能会收集用户的电话号码、生日、籍贯、性别、兴趣爱好、</span>QQ号、微信号、电子邮箱、银行卡号、身份证号、家庭地址信息。<br />    <span>（</span>5）其他用途。包括：分析群体性用户的站内活动情况以及整个用户群的社会信息，进行研究和分析，帮助杭州西米有效地管理网站内容。<br />    <b>1.3.4向用户发送信息及通知</b><br />    <span>（</span>1）为向用户提供感兴趣的广告、资讯及产品信息，杭州西米可能会收集用户在使用杭州西米服务时的操作信息、设备信息、位置信息，以及用户在使用杭州西米服务时浏览或要求提供的其他信息和内容详情、游戏帐号交易信息，提取用户的浏览、行为习惯等特征，并基于特征标签通过电子邮件、短信或其他方式向与具备相同或相似标签的用户群体发送营销信息，提供或推广杭州西米及杭州西米关联公司的产品及服务。<br />    <span>（</span>2）在系统维护而暂停某一项服务、变更、终止提供某项服务时，杭州西米会向用户发出相关的通知。<br />    <b>1.3.5为用户提供安全保障</b><br />    为保护用户及其他公众的人身财产安全免遭侵害，更好地预防钓鱼网站、欺诈、网络漏洞、计算机病毒、网络攻击、网络侵入等安全风险，更准确地识别违反法律法规或杭州西米服务相关协议规则的情况：<br />    ·（1）杭州西米可能会收集、整合、使用用户的部分个人常用设备用于身份验证、安全防范、诈骗监测、存档备份。<br />    ·（2）当用户使用杭州西米的客户服务时，杭州西米<span>可能会保存用户的通信</span>/通话记录、内容、联系方式，以便联系用户或帮助用户解决问题，记录相关问题的处理方案及结果。<br />    ·（3）杭州西米可能会收集、使用、整合用户的账户信息、交易信息、设备信息、日志信息以及杭州西米关联公司、合作伙伴取得用户授权或依据法律共享的信息，来综合判断用户账户及交易风险、进行身份验证、检测及防范安全事件，并依法采取必要的记录、审计、分析、处置措施。<br />    <b>1.4请注意：</b><br />    <b>杭州西米</b><b>的部分服务可能需要用户提供特定的个人敏感信息来实现特定功能。若用户选择不提供该类信息，则可能无法正常使用服务中的特定功能，但不影响用户使用服务中的其他功能。若用户主动提供用户的个人敏感信息，即表示用户同意</b><b>杭州西米</b><b>按本协议所述目的和方式来处理用户的个人敏感信息。</b><br />    <b>在收集用户的个人信息后，</b><b>杭州西米</b><b>将通过技术手段对数据进行去标识化处理，去标识化处理的信息将无法识别用户的身份，在此情况下</b><b>杭州西米</b><b>有权使用已经去标识化的信息，对用户数据库进行分析并予以商业化的利用，而无需另行获得用户的同意。</b><br />    <b>二、</b><b>杭州西米</b><b><span>如何使用</span>Cookie和同类技术</b><br />    杭州西米或杭州西米<span>的关联公司、第三方合作伙伴可能通过</span>Cookie 或同类技术获取和使用用户的信息，并将该等信息储存为日志信息。<br />    2.1 Cookie<br />    为确保网站正常运转以及有助于杭州西米辨认用户的身份，杭州西米<span>会在用户的计算机或移动设备上存储名为</span> Cookie 的小数据文件。Cookie 通常包含标识符、站点名称以及一些号码和字符。借助于Cookie，杭州西米可以向用户提供简单易行并富个性化的网络服务。杭州西米<span>不会将</span> Cookie 用于本协议所述目的之外的任何用途。用户可根据自己的偏好通过浏览器或其他方式设置管理或删除 Cookie。<br />    2.2 Do Not Track（请勿追踪）<br />    ·很多网络浏览器均设有 Do Not Track 功能，该功能可向网站发布 Do Not Track 请求。目前，主要互联网标准组织尚未设立相关政策来规定网站应如何应对此类请求。但如果用户的浏览器启用了 Do Not Track，杭州西米的所有网站都会尊重用户的选择。但请用户注意，可能因此影响使用杭州西米提供产品及服务的体验。<br />    <b>三、</b><b>杭州西米</b><b>如何向其他方披露、共享、转让用户个人信息</b><br />    3.1除非本协议已说明的情况外，用户的数据不会被以可识别具体个人真实身份信息的形式向第三方披露和共享。但以下情况除外：<br />    <span>（</span>1）获得用户的事先同意/允许；<br />     （2）因司法、行政等合法程序的要求；<br />     （3）在有限的情况下，杭州西米有可能聘请第三方供应商、顾问或其他服务商为杭州西米提供必要的维护、支持和服务，但杭州西米应要求该等第三方与杭州西米签署必要的条款保护数据安全和保密性的；<br />     （4）在紧急情况下，经合理判断是为了保护杭州西米、杭州西米的代理人、客户、终端用户或其他人的合法权益和安全的；<br />    <span>（</span>5）杭州西米为维护自己或其他用户的合法权益而向用户提起诉讼或者仲裁的；<br />    <span>（</span>6）杭州西米<span>正在或拟进行企业并购、重组、出售全部或部分股份和</span>/或资产等重大变化，包括但不限于尽职调查过程。<br />    <b>3.2·</b><b>杭州西米</b><b>不会将用户的个人信息转让给任何公司、组织和个人，但以下情况除外：</b><br />    <b>·（1）在获取明确同意的情况下转让：获得用户的明确同意后，</b><b>杭州西米</b><b>会向其他方转让用户的个人信息；</b><br />    ·（2）随着杭州西米业务的发展，杭州西米可能进行合并、收购、资产转让、破产清算或类似的交易，用户个人信息可能会作为此类交易的一部分而被转移<b>。</b><b>杭州西米</b><b>将通过推送通知、公告或其他方式另行告知用户相关情形，按照法律法规所要求的标准继续保护或要求新的管理者按照本政策继续保护用户的个人信息。</b><br />    <b>3.3 经用户同意合法收集的个人信息，通过信息系统、算法等非人工自动决策技术实现标签化或画像处理，从而做出的自动决策决定（如商业化信息推送等），此行为构成数据的不可识别化，不应视为</b><b>杭州西米</b><b><span>向任何第三方共享、转让或披露用户的任何个人信息。</span> </b><br />    <b>四、重要提示</b><br />    4.1用户可以通过杭州西米的服务与用户的好友、家人及其他用户分享用户的相关信息。例如，用户在杭州西米游戏平台中公开分享的文字和照片。<b>请注意，这其中可能包含用户的敏感信息，包括个人身份信息、个人财产信息；请用户谨慎考虑披露用户的相关个人敏感信息。</b><br />    4.2用户可通过杭州西米提供服务中的隐私设置来控制分享信息的范围，也可通过服务中的设置或杭州西米提供的指引删除公开分享的信息。<b>但请用户注意，这些信息仍可能由其他用户或不受</b><b>杭州西米</b><b>控制的非关联第三方独立地保存。</b><br >    五、<b>杭州西米</b><b>如何存储个人信息</b><br />    5.1 杭州西米仅在本协议所述目的所必需期间和法律法规要求的最短时限内储存用户的个人信息。如杭州西米终止服务或运营，杭州西米将及时停止继续收集用户个人信息的活动，同时杭州西米将在遵守相关法律法规的要求下提前向用户发送通知，并在终止服务或运营后对用户的个人信息进行删除或匿名化处理，但法律法规或监管部门另有规定的除外。<br />    <b>5.2 </b><b>杭州西米</b><b>在中华人民共和国境内运营中收集和产生的个人信息，储存在中国境内，以下情形除外：</b><br />    <b>·（1）获得用户的事先同意/允许；</b><br />    <b>·（2）法律法规的明示规定；</b><br />    <b>·（3）用户使用的产品和服务涉及跨境，</b><b>杭州西米</b><b>需要向境外提供用户信息。</b><br />    <b>六、个人信息保护措施</b><br />    <b>6.1</b><b>杭州西米</b><b>采取的数据保密措施</b><br />    <b>6.1.1用户知悉并了解，互联网传输或电子存储方法并非百分之百安全，</b><b>杭州西米</b><b>将尽到合理努力保障数据安全，但仍可能存在用户数据被盗、被非法拥有或者被滥用而给用户带来人身、财产和声誉等方面损失的风险，用户自愿承担相应风险。</b><br />    6.1.2杭州西米将采用行业内通行的、合理的、标准的安全防护措施来保护杭州西米所储存的信息的安全性和保密性。包括但不限于：防火墙和数据备份措施；数据中心的访问权限限制；对移动终端的识别性信息进行加密处理等。<br />    6.1.3杭州西米<span>已经建立健全数据安全管理体系，包括对用户信息进行分级分类、加密保存、数据访问权限划分，指定内部数据管理制度和操作规程，从数据的获取、使用、销毁都有严格的流程要求，避免用户隐私数据被非法使用。</span> <br />    <b>6.2应急处置与预警</b><br />    6.2.1若不幸发生个人信息安全事件的，杭州西米<span>将按照法律法规要求，及时通过平台内通知</span>/用户预留的联系方式等向用户告知安全事件的基本情况和可能的影响、杭州西米已采取或将采取的应急响应及其他有关处置措施、对用户的补救措施等。<b>若难以逐一告知个人信息主体时，</b><b>杭州西米</b><b>将采取合理、有效的方式发布公告并将主动向有关监管部门上报个人信息安全事件的处置情况。</b><br />    6.2.2若用户发现用户的个人信息泄漏时，请立即与杭州西米联系，以便杭州西米及时采取相应的措施。<br />    <b>七、未成年人保护</b><br />    杭州西米<span>非常重视对未成年人个人信息的保护。根据相关法律法规的规定，若用户为</span>18周岁以下的未成年人，在使用杭州西米游戏的产品或服务前，应事先取得用户的家长或法定监护人的同意。若用户是未成年人的监护人，在对用户所监护未成年人的个人信息有相关疑问时，请与杭州西米联系。<br />    八、<b>免责条款</b><br />    <b>除本协议约定的情形外，下列情况</b><b>杭州西米</b><b>亦无需承担任何责任：</b><br />    <b>8.1 因用户将用户账号及密码告知他人、用户通过非</b><b>杭州西米</b><b>认可的交易平台进行虚拟物品道具交易、用户未保管好自己的密码或与他人共享</b><b>杭州西米</b><b>游戏账号、游戏角色、用户使用第三方软件或任何其他非</b><b>杭州西米</b><b>的过错导致的任何个人信息资料泄露；</b><br />    8.2 任何由于黑客攻击、计算机病毒侵入或发作、电信部门技术调整导致的影响、因政府管制而造成的暂时性关闭、由于第三方原因(包括不可抗力，例如国际出口的主干链路及国际出口电信提供商一方出现故障、火灾、水灾、雷击、地震、洪水、台风、龙卷风、火山爆发、瘟疫和传染病流行、罢工、战争或暴力行为或类似事件)及其他非因杭州西米过错而造成的用户个人信息资料泄露、丢失、被盗用或被篡改等，以及由此给用户和第三方造成的任何损失；<br />    <b>8.3 由于与</b><b>杭州西米</b><b><span>和</span>/或其关联公司链接的其它网站所造成的用户个人信息资料泄露及由此而导致的任何法律争议和后果；</b><br />    <b>8.4 任何个人用户，包括未成年人用户向</b><b>杭州西米</b><b>提供错误、不完整、不实信息等造成不能通过认证、不能正常使用</b><b>杭州西米</b><b>的产品服务或遭受任何其他损失。</b><br />    <b>九、用户信息访问、更正、删除及改变授权范围</b><br />    9.1 用户可通过服务中的设置或杭州西米的指引访问用户个人信息，并根据杭州西米的管理方式和指引自行对相关信息进行查询、更正、补充、删除、改变授权范围等操作。<br />    9.2 用户在查询、更正、补充、删除、前述信息或改变授权范围时，杭州西米可能要求用户完成身份认证，以保障用户账号及个人信息的安全。<br />    9.3 若用户更正、删除相关的信息或改变授权范围导致杭州西米不能正常提供服务的，因而产生的不便和损失，杭州西米不承担任何责任。<br />    9.4 若用户继续使用杭州西米提供的服务的，杭州西米为了能够正常提供服务，将会重新收集用户信息。<br />    <b>十、用户账号注销</b><br />    10.1 在符合杭州西米用户服务协议的约定的条件及国家相关法律法规规定的情况下，用户的服务账号可能被注销或者删除。<br />    10.2 当用户决定不再使用杭州西米提供的任何服务，可通过服务中的设置或杭州西米的指引注销或者删除账号。<br />    10.3 杭州西米将在用户注销账号后及时删除该的账号中的信息内容或按照服务协议的约定进行删除或匿名化处理。<br />    10.4 用户十分明确并清楚，账号注销后，账号中的信息将不能再恢复，由此造成的不便和损失，杭州西米不承担任何责任。<br />    <b>十一、投诉与反馈</b><br />    11.1用户对本协议有任何疑问的，应通过服务中的设置杭州西米官方网站上的客服信箱（faq@ximiplay.com）发送邮件或通过客服中心提供的信息向杭州西米进行咨询、申诉或举报，用户应同时向杭州西米提供相应的证据材料。杭州西米<span>在收到用户材料后，原则上会在</span>15天内回复处理意见或者结果。若有特殊情况需要延长的，以杭州西米的具体处理时间为准（若有特殊情况，杭州西米会另行通知用户）。<br />    11.2杭州西米的联系信息为：杭州西米信息技术有限公司，注册地址：杭州省<span>杭州市西湖区西斗门路</span>3号天堂软件园A幢1楼1011室（常用办公地点同），联系人：余小姐，联系电话：0571-88015986。<br />    十二、<b>适用范围</b><br />        杭州西米<span>的所有服务均适用本协议。但某些服务有其特定的隐私指引</span>/声明，该特定隐私指引/声明更具体地说明杭州西米<span>在该服务中如何处理用户的信息。如本协议与特定服务的隐私指引</span>/声明有不一致之处，请以该特定隐私指引/声明为准。<br />    <b>十三、变更</b><br />    本隐私协议内容如发生任何实质性变更，杭州西米会在变更后于官方网站显著位置或服务页面的显著位置进行公示，如用户不同意变更后的内容，用户可以选择停止使用杭州西米的产品或服务并注销用户账号；<b>如用户继续使用</b><b>杭州西米</b><b>的产品或服务的，即表示用户同意并接受修订后的《用户隐私协议》的约束。</b>        </p>    </p>' ;
        g += "</div>";      
        g += "</div></div>";
        $("body").append(g);
    }
}

MiniSite.loadPayBox = function(price,callback,callbackObj) {
    console.info("MiniSite.loadPayBox...",price);
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var f = '<li data-type="alipay" class="flex"><i class="icon-alipay"></i><span class="flex-list">支付宝支付(推荐)</span></li><li data-type="weixin" class="flex"><i class="icon-wxpay"></i><span class="flex-list">微信支付</span></li>';
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head">选择支付方式<i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info">';
        g += '<p class="paybox-tip">您需支付</p>';
        g += '<p class="paybox-price">¥<span id="price">' + (price/100).toFixed(2) + "</span></p>";
        g += "</div>";
        g += '<div class="pay-mode">';
        g += '<ul id="pay-list">' + f + "</ul>";
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
        // (price/10).toFixed(1)
        console.info("MiniSite.end");
    }

    $("#pay-list li").off().click(function(result) {
        var dataType = $(this).data("type")
        MiniSite.closePayBox(false)
        if(callback)callback.call(callbackObj,dataType);
    })
}

MiniSite.authTime = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;padding: 4rem;">未成年玩家，于22时至次日8时，禁止登陆！！</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

MiniSite.authOver = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">未成年玩家，节假日游戏累计游戏时间不得超过3小时；其他时间游戏累计时间不得超过1.5小时。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
        console.info("MiniSite.end");
    }
}

MiniSite.authYouke = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;">1. 游客玩家游戏累计游戏时间不得超过1小时；</p>';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;">2. 游客玩家游戏累计游戏时间超过1小时，15日之后可继续登录。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

MiniSite.authOrder = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li><i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">1. 0-8岁未成年玩家，暂无充值权限；</p>';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">2. 8-16岁未成年玩家单笔充值不得超过50元，本月累计充值不得超过200元；</p>';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">3. 16-18岁未成年玩家单笔充值不得超过100元，本月累计充值不得超过400元。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

//防沉迷 -- 游客
MiniSite.authFormYk = function(obj,data, isYk, message, hasClose, extraCallback) {
    if(!message){
        message = "若未实名认证，则只能游戏60分钟";
    }
    if(!hasClose){      //是否可以关闭窗口
        hasClose = 0;
    }else{
        hasClose = 1;
    }
    var e = $("#payBox")
    console.log(e);
    console.log(data);
    if (!$("#payBox").length) {
        var f = '<div class="basic-grey"><form id="form" action="" method="post" >'+
                '<label class="authMessage" id="authText">'+message+'</label>';
        if(isYk==1){    //游客模式需要做手机认证
           f += '<label><span>手机号 :</span><input id="phone" type="text" name="phone" placeholder="手机号" /></label>'+
                '<label class="authyk_code_main"><span>验证码:</span><input class="input_phone phone_code" name="code" type="text" maxlength="4" disabled/>' +
                '<input class="code_btn code_sms" type="button" value="发送验证码"/></label>';
        }
        f += '<label><span>姓名 :</span><input id="name" type="text" name="name" placeholder="请输入真实姓名" autocomplete="off"/></label>' +
            '<label><span>身份证 :</span><input id="id_cade" type="text" name="id_cade" placeholder="身份证号" /></label>' +
            '<input type="hidden" name="uuid" value="'+data.uuid+'">' +
            '<input type="hidden" name="app_id" value="'+data.app_id+'">' +
            '<input type="hidden" name="channel_id" value="'+data.channel_id+'">' +
            '<input type="hidden" name="newpwd" value="'+data.time+'">' +
            '<input type="hidden" name="time" value="'+data.time+'">' +
            '<input type="hidden" name="sign" value="'+data.sign+'">' +
            '<input type="hidden" name="isyk" value="'+isYk+'">' +
            '<input type="button" class="submit" value="完成绑定"/>' +
            '</form></div>';
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="rr">';
        if(hasClose==1){
            g += '<div class="pay-head">实名认证<i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        }else{
            g += '<div class="pay-head">实名认证</div>';
        }
        g += '<div class="pay-info" style="text-align:left;">';
        g +=  f ;
        g += "</div></div>";
        $("body").append(g)
    }

    $(".phone_code").on('input', function(){
        var value = $(this).val().replace(/[^0-9]/g,'');
        $('.phone_code').val(value);
        if(value.length >= 4){
            $('.submit').removeAttr('disabled').removeAttr('style');
        }else{
            $('.submit').attr('disabled',true).attr('style','color: #FFF;');
        }
    });
    if(isYk==1){
        $('.submit').attr('disabled',true);
    }


    $('.authyk_code_main .code_btn').mouseup(function(){
        console.log("发送验证码");
        var rex = /^[1][3,4,5,7,8][0-9]{9}$/;
        var phoneNum = $('#phone').val();
        console.log(phoneNum);
        var phoneObj = {
            result:rex.test(phoneNum),
            phone: phoneNum,
            msg:''
        }
        console.log(phoneObj);
        if(!phoneObj.result){
            if(phoneObj.msg) alert(phoneObj.msg);
            return;
        }
        $(this).attr('disabled',true);
        var that = this;

        var purl = obj.baseUrl +"/index.php/user/Sms/sendYkBand";
        var pdata = {
            phone: phoneObj.phone,
            uuid: data.uuid,
            app_id: data.app_id,
            channel_id: data.channel_id,
        };
        var p_pdata = JSON.stringify(pdata);
        var auth_p_pdata = JSON.stringify({'data':'{"mod":"user","do":"sms.sendYk","p":'+p_pdata+'}',"h":""});
        obj.send(purl, auth_p_pdata,function(e){
            console.log('success', e);
            var disableds = false;
            if(typeof e == 'string'){
                e = JSON.parse(e);
            }
            if(e.errCode == 0){
                $('#authText').html(message);
                var ee = e.data;
                console.log(ee);
                // if(ee.result == 0){
                disableds = true;
                $('.authyk_code_main .code_sms').toggleClass('code_sms_up');
                $('.authyk_code_main .phone_code').removeAttr('disabled').focus();
                var time = 60 ;
                var timer = setInterval(function(){
                    time--;
                    $(".authyk_code_main .code_sms").val("重新发送" + time);
                    if(time == 0){
                        clearInterval(timer);
                        $(".authyk_code_main .code_sms").toggleClass('code_sms_up').removeAttr('disabled').val("重新发送");
                    }
                },1000);
                // }else{
                //     alert('系统繁忙,短信发送失败');
                // }
            }else{
                $('#authText').html(e.error);
            }
            if(!disableds){
                $(that).removeAttr('disabled');
            }
        })
    });

    $("#id_cade").on('blur', function(){
        var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if(reg.test($(this).val()) === false)
        {
            $(this).attr('style','border-color:red');
        }else{
            $(this).removeAttr('style');
        }
    });


    //防沉迷表单提交
    $(".submit").click(function(){
        var idcard_num = $("#id_cade").val();
        var regIdNo = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if(!regIdNo.test(idcard_num)){
            alert('身份证号填写有误');
            return false;
        }
        console.log("authFormYk submit");
        $(this).attr('disabled',true);
        $.ajax({
            url: obj.baseUrl+'/index.php/user/api/authform',
            type: "post",
            data: $('#form').serialize(),
            dataType: "json",
            success: function (authRes) {
                $(".submit").removeAttr('disabled');
                // if(authFromYkCallback) authFromYkCallback.call(null, res);


                // ------------------------ 实名认证 成功回调 --------------------------
                // function(authRes){
                    console.log("认证回调");
                    console.log(authRes);
                    if(typeof authRes == 'string'){
                        authRes = JSON.parse(authRes);
                    }
                    if(authRes.errCode == 0) {
                        if (authRes.data == 0) {
                            alert('姓名和身份证号不一致!!!');
                        }else{
                            //认证成功后，再次启动防沉迷
                            $("#authText").html("认证成功！");
                            setTimeout(function(){
                                $("#payBox").remove();
                                if(isYk==1) {
                                    //去掉游客标识
                                    window.localStorage.setItem('isRdYk', 0);
                                    window.localStorage.setItem('sdk_account', $("#phone").val());
                                    window.localStorage.setItem('sdk_password', data.time);
                                }
                                //执行未成年防沉迷
                                MiniSite.authFormInterval(obj, data.uuid)

                                //执行成功后回调
                                if(extraCallback!=null){
                                    extraCallback.call(null, 1);
                                }
                            }, 2000);
                        }
                    }else{
                        alert(authRes.error);
                    }
                // }

            },
            error: function(){
                $(".submit").removeAttr('disabled');
            }
        })
    });

}

//防沉迷逻辑 -- 已绑定身份
MiniSite.authFormInterval = function(obj, uuid){
    //同登录处的防沉迷逻辑
    var setinter2 = setInterval(function(){
        var aurls = obj.baseUrl +"/index.php/user/api/AuthMtime";
        var uuids = {"uuid": uuid}
        var auth_uus = JSON.stringify(uuids);
        var auth_uuids = JSON.stringify({'data':'{"mod":"user","do":"api.AuthMtime","p":'+auth_uus+'}',"h":""});
        obj.send(aurls,auth_uuids,function(res3){
            res3 = JSON.parse(res3);
            console.log("防沉迷 - 正式", JSON.stringify(res3));
            if(res3.data.state == 0){
                if(document.getElementById('payBox')){
                    document.getElementById('payBox').remove();
                }
                //未成年玩家
                MiniSite.authOver();
                clearInterval(setinter2);
            }else if(res3.data.state == 2){
                if(document.getElementById('payBox')){
                    document.getElementById('payBox').remove();
                }
                MiniSite.authTime();
                clearInterval(setinter2);
            }
        },obj)
    }, 60000);
}

MiniSite.notice = function(title,message) {
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">'+title+'</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem;max-height: 400px;overflow-y: auto;" id="notice_content">'+message+'</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}


MiniSite.closePayBox = function(res){
    $(".pay-box").remove();
    if(res == true && window.rechargeSdk.rechargeCallBack){
        window.rechargeSdk.rechargeCallBack(false);
    }
}

function ksort(inputArr, sort_flags) {
    var sort_flags = sort_flags || "SORT_REGULAR";
    var tmp_arr = {},
        keys = [],
        sorter, i, k, that = this,
        strictForIn = false,
        populateArr = {};

    switch (sort_flags) {
        case 'SORT_STRING':
            // compare items as strings
            sorter = function (a, b) {
                return that.strnatcmp(a, b);
            };
            break;
        case 'SORT_LOCALE_STRING':
            // compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
            var loc = this.i18n_loc_get_default();
            sorter = this.php_js.i18nLocales[loc].sorting;
            break;
        case 'SORT_NUMERIC':
            // compare items numerically
            sorter = function (a, b) {
                return ((a + 0) - (b + 0));
            };
            break;
        // case 'SORT_REGULAR': // compare items normally (don't change types)
        default:
            sorter = function (a, b) {
                var aFloat = parseFloat(a),
                    bFloat = parseFloat(b),
                    aNumeric = aFloat + '' === a,
                    bNumeric = bFloat + '' === b;
                if (aNumeric && bNumeric) {
                    return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
                } else if (aNumeric && !bNumeric) {
                    return 1;
                } else if (!aNumeric && bNumeric) {
                    return -1;
                }
                return a > b ? 1 : a < b ? -1 : 0;
            };
            break;
    }

    // Make a list of key names
    for (k in inputArr) {
        if (inputArr.hasOwnProperty(k)) {
            keys.push(k);
        }
    }
    keys.sort(sorter);

    // BEGIN REDUNDANT
    this.php_js = this.php_js || {};
    this.php_js.ini = this.php_js.ini || {};
    // END REDUNDANT
    strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js
        .ini['phpjs.strictForIn'].local_value !== 'off';
    populateArr = strictForIn ? inputArr : populateArr;

    // Rebuild array with sorted key names
    for (i = 0; i < keys.length; i++) {
        k = keys[i];
        tmp_arr[k] = inputArr[k];
        if (strictForIn) {
            delete inputArr[k];
        }
    }
    for (i in tmp_arr) {
        if (tmp_arr.hasOwnProperty(i)) {
            populateArr[i] = tmp_arr[i];
        }
    }

    return strictForIn || populateArr;
}


function setCookie(name,value,time)
{
    var strsec = getsec(time);
    var exp = new Date();
    exp.setTime(exp.getTime() + strsec*1);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}


//读取cookies
function getCookie(name)
{
    var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");

    if(arr=document.cookie.match(reg))

        return unescape(arr[2]);
    else
        return null;
}

//删除cookies
function delCookie(name)
{
    var exp = new Date();
    exp.setTime(exp.getTime() - 1);
    var cval=getCookie(name);
    if(cval!=null)
        document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}
//使用示例
// setCookie("name","hayden");
// getCookie("name");

//如果需要设定自定义过期时间
//那么把上面的setCookie　函数换成下面两个函数就ok;

function getsec(str)
{
    var str1=str.substring(1,str.length)*1;
    var str2=str.substring(0,1);
    if (str2=="s")
    {
        return str1*1000;
    }
    else if (str2=="h")
    {
        return str1*60*60*1000;
    }
    else if (str2=="d")
    {
        return str1*24*60*60*1000;
    }
}

//生成从minNum到maxNum的随机数
function randomNum(minNum,maxNum){
    switch(arguments.length){
        case 1:
            return parseInt(Math.random()*minNum+1,10);
            break;
        case 2:
            return parseInt(Math.random()*(maxNum-minNum+1)+minNum,10);
            break;
        default:
            return 0;
            break;
    }
}
